package cn.bs.bsmanagebasic.common.constants;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName Constants.java
 * @Description TODO
 * @createTime 2019年09月03日 17:16:00
 */
public class Constants {
    public static interface ConsumeRecordConstants {
        /**
         * @description 0代表ocr
         * @author sunjj
         */
        String CONSUME_FLAG_OCR = "0";
        /**
         * @description 1代表短信
         * @author sunjj
         */
        String CONSUME_FLAG_SMS = "1";
        /**
         * @description 2代表充值
         * @author sunjj
         */
        String CONSUME_FLAG_RECHARGE = "2";
        /**
         * @description 3代表短信验证码
         * @author sunjj
         */
        String CONSUME_FLAG_VERIFY_CODE = "3";
        /**
         * @description 4代表充值赠送
         * @author sunjj
         */
        String CONSUME_FLAG_GIFT = "4";

        /**
         * @description 0 不计费
         * @author sunjj
         */
        String CONSUME_STATUS_NOT = "0";
        /**
         * @description 1 消费成功
         * @author sunjj
         */
        String CONSUME_STATUS_SUCESS = "1";
        /**
         * @description 2 消费失败（欠费）
         * @author sunjj
         */
        String CONSUME_STATUS_FAIL = "2";
    }

    public interface SmspurchaserecordConstants {
        /**
         * @description 1 支付宝
         * @author sunjj
         */
        int PAY_WAY_ALI_PAY = 1;
        /**
         * @description 2 微信
         * @author sunjj
         */
        int PAY_WAY_WECHAT = 2;
        /**
         * @description 3 充值赠送
         * @author sunjj
         */
        int pay_way_gift = 3;
        /**
         * @description 4 线下充值
         * @author sunjj
         */
        int PAY_WAY_OFFLINE = 4;
        /**
         * @description 5 自动充值
         * @author sunjj
         */
        int PAY_WAY_AUTOMATIC = 5;

        /**
         * @description 1 已经付款
         * @author sunjj
         */
        int PAY_STATUS_PAID = 1;
        /**
         * @description 0 待付款
         * @author sunjj
         */
        int PAY_STATUS_PENDING = 0;
    }

    public interface AppConfigConstants{
        long GROUP_KEY_DEFAULT = 0;
    }

}
