package cn.bs.bsmanagebasic.common.enums;

/**
 * @description: 管理员类型
 * @author: chenxuebing
 * @create: 2021-05-06 17:50
 **/
public enum AdminTypeEnum {

    SYSTEM_ADMIN(1, "系统管理员"),
    STORE_ADMIN(2, "门店"),
    DELIVERER(3, "派送员"),
    STORE_ADMIN_TEMPLATE(4, "门店角色模版");

    private int type;
    private String name;

    AdminTypeEnum(int type, String name) {
        this.type = type;
        this.name = name;
    }

    public int getType() {
        return type;
    }

    public String getName() {
        return name;
    }
}
