package cn.bs.bsmanagebasic.controller;

import cn.bs.bsmanagebasic.entity.AdLog;
import cn.bs.bsmanagebasic.service.ADLogService;
import cn.bs.bsmanagecommon.requst.RequestBean;
import cn.bs.bsmanagecommon.result.ResultBean;
import com.alibaba.fastjson.JSON;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName ADLogController.java
 * @Description TODO
 * @createTime 2019年12月26日 14:38:00
 */
@RestController
@RequestMapping("/adlogs")
public class ADLogController {

    @Autowired
    private ADLogService adLogService;

    @PostMapping("/save")
    public ResultBean<Boolean> insertLog(@RequestBody String data) {
        AdLog adLog = JSON.parseObject(JSON.parseObject(data, RequestBean.class).getData(), AdLog.class);
        return new ResultBean<>(adLogService.saveLog(adLog));
    }
}
