package cn.bs.bsmanagebasic.controller;

import cn.bs.bsmanagebasic.common.enums.EnumsData;
import cn.bs.bsmanagebasic.service.EnumsStatusService;
import cn.bs.bsmanagecommon.result.ResultBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.lang.reflect.InvocationTargetException;
import java.util.List;

/**
 * @ClassName EnumsControllers
 * @Description TODO
 * @Author Administrator
 * @Date 2019/9/11 0011 上午 9:34
 * @Version 1.0
 **/
@RestController
@RequestMapping("/enums")
@CrossOrigin(allowCredentials ="true")
public class EnumsController {

    @Autowired
    private EnumsStatusService enumsStatusService;

    /**
     * 获取状态
     *
     * @param platform
     * @return
     * @throws ClassNotFoundException
     * @throws NoSuchMethodException
     * @throws IllegalAccessException
     * @throws InvocationTargetException
     */
    @RequestMapping(value = "/getType/{platform}", method = {RequestMethod.GET})
    public ResultBean<List<EnumsData>> getType(@PathVariable String platform) throws ClassNotFoundException, NoSuchMethodException, IllegalAccessException, InvocationTargetException {
        return new ResultBean<List<EnumsData>>(enumsStatusService.getType(platform));
    }
}
