package cn.bs.bsmanagebasic.controller;

import cn.bs.bsmanagebasic.entity.filter.StatisticsFilter;
import cn.bs.bsmanagebasic.service.StatisticsService;
import cn.bs.bsmanagecommon.requst.RequestBean;
import cn.bs.bsmanagecommon.result.ResultBean;
import com.alibaba.fastjson.JSON;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName StatisticsController.java
 * @Description TODO
 * @createTime 2019年11月12日 15:39:00
 */
@RestController
@RequestMapping("/statistics")
@CrossOrigin(allowCredentials ="true")
public class StatisticsController {

    @Autowired
    private StatisticsService statisticsService;

    @PostMapping("/histogram")
    public ResultBean histogram(@RequestBody String data) {
        return statisticsService.getHistogram(JSON.parseObject(JSON.parseObject(data, RequestBean.class).getData(), StatisticsFilter.class));
    }

    @PostMapping("/pieChart")
    public ResultBean pieChart(@RequestBody String data) {
        return statisticsService.getPieChart(JSON.parseObject(JSON.parseObject(data, RequestBean.class).getData(), StatisticsFilter.class));
    }

}
