package cn.bs.bsmanagebasic.dao.jeesite;

import cn.bs.bsmanagebasic.entity.Configuration;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 * @author kael
 */
@Repository
public interface ConfigurationMapper{
    /**
     * 通过code获取门店配置
     * @param code
     * @return
     */
    public Configuration getConfigurationByCode(String code);

    public List<Configuration> getList();

    public Integer insert(Configuration configuration);

    public Integer update(Configuration configuration);

    public Integer deleteById(Integer id);

    public Configuration getConfigurationById(Integer id);

}
