package cn.bs.bsmanagebasic.dao.jeesite;

import java.util.List;

import cn.bs.bsmanagebasic.entity.ExStore;
import cn.bs.bsmanagebasic.entity.ExStoreExample;
import cn.bs.bsmanagebasic.entity.dto.StoreDto;
import cn.bs.bsmanagebasic.entity.store.SignBackSwitchBean;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface ExStoreMapper {
    long countByExample(ExStoreExample example);

    int deleteByExample(ExStoreExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ExStore record);

    int insertSelective(ExStore record);

    List<ExStore> selectByExample(ExStoreExample example);

    ExStore selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ExStore record, @Param("example") ExStoreExample example);

    int updateByExample(@Param("record") ExStore record, @Param("example") ExStoreExample example);

    int updateByPrimaryKeySelective(ExStore record);

    int updateByPrimaryKey(ExStore record);

    List<StoreDto> selectDtoByParam(StoreDto dto);

    long countByParam(StoreDto dto);

    /**
     * 通过门店id获取门店信息
     *
     * @param id
     * @return
     */
    ExStore selectStoreById(Long id);

    SignBackSwitchBean getSignBackSwitch(@Param("expId") Integer expId, @Param("storeId") Integer storeId);

    List<Integer> selectIdByRegionCode(@Param("regionCode") String regionCode);
}