package cn.bs.bsmanagebasic.dao.jeesite;

import cn.bs.bsmanagebasic.entity.ExpressDept;
import cn.bs.bsmanagebasic.entity.filter.ExpressDeptFilter;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ExpressDeptMapper {
    int insert(ExpressDept record);

    int insertSelective(ExpressDept record);

    ExpressDept selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ExpressDept record);

    int updateByPrimaryKey(ExpressDept record);

    Long countByFilter(ExpressDeptFilter filter);

    List<ExpressDept> selectByFilter(ExpressDeptFilter filter);

    List<ExpressDept> selectForOption(@Param("expId") Long expId);

    Integer deleteById(Long id);

    Integer enableById(Long id);

}