package cn.bs.bsmanagebasic.dao.jeesite;

import cn.bs.bsmanagebasic.entity.filter.SystemFilter;
import cn.bs.bsmanagebasic.entity.sys.SysParam;
import cn.bs.bsmanagebasic.entity.sys.SysType;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 〈功能概述〉<br>
 *
 * @className: SystemMapper
 * @package: cn.bs.bsmanagebasic.dao.jeesite
 * @author: kael
 * @date: 2019/12/2 0002 上午 10:57
 */
@Repository
public interface SystemMapper {
    List<SysParam> getDataByType(SystemFilter filter);

    List<SysType> getAllListType();

    Integer enableById(Integer id);

    Integer addType(SysType sysType);

    Integer updateType(SysType sysType);

    List<SysType> getTypeByName(SystemFilter filter);

    Integer deleteType(Integer id);

    Integer addParam(SysParam sysParam);

    Integer updateParam(SysParam sysParam);

    Integer deleteParam(Integer id);

    Integer enableParamById(Integer id);
}
