package cn.bs.bsmanagebasic.dao.jeesite;

import cn.bs.bsmanagebasic.entity.TempNotice;
import cn.bs.bsmanagebasic.entity.filter.NoticeFilter;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 公告<br>
 *
 * @className: TempNoticeMapper
 * @package: com.parksong.dao.store
 * @author: liujs
 * @date: 2019/11/28 0006 上午 11:09
 */
@Repository
public interface TempNoticeMapper {
    /**
     * 新增消息
     * @param tempNotice
     * @return
     */
    Integer insert(TempNotice tempNotice);

    List<TempNotice> getSendNotice(NoticeFilter noticeFilter);

    List<TempNotice> getList(NoticeFilter filter);

    Integer getListCount(NoticeFilter filter);

    Integer deleteNotice(List<Integer> ids);

    Integer updateNotice(TempNotice notice);
}
