package cn.bs.bsmanagebasic.dao.jisu;

import cn.bs.bsmanagebasic.entity.dto.AdminUserEditDto;
import cn.bs.bsmanagebasic.entity.dto.AdminUserListDto;
import cn.bs.bsmanagebasic.entity.user.AdminUser;
import cn.bs.bsmanagebasic.entity.user.UserRole;
import cn.bs.bsmanagebasic.entity.vo.AdminUserVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: chenxuebing
 * @create: 2021-05-07 15:07
 **/
@Mapper
public interface AdminUserMapper {
    
    List<AdminUser> listAdminUser(@Param("adminUserListDto") AdminUserListDto adminUserListDto);

    int getAdminUserCount(AdminUserListDto adminUserListDto);

    int addAdminUser(AdminUser adminUser);

    /**
     * 添加用户角色
     * @return
     */
    int addAdminUserRole(UserRole userRole);

    int deleteUserRole(AdminUserEditDto adminUserEditDto);

    AdminUserVo getAdminUser(AdminUser adminUser);

    int updateAdminUser(AdminUserEditDto adminUserEditDto);

    int deleteAdminUser(AdminUser adminUser);
}
