package cn.bs.bsmanagebasic.dao.jisu;

import cn.bs.bsmanagebasic.entity.PickupQueue;
import cn.bs.bsmanagebasic.entity.delivery.Delivery;
import cn.bs.bsmanagebasic.entity.delivery.IdAndStoreIds;
import cn.bs.bsmanagebasic.entity.filter.DeliveryFilter;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 〈功能概述〉<br>
 *
 * @className: DeliveryMapper
 * @package: cn.bs.bsmanagebasic.dao.jisu
 * @author: kael
 * @date: 2019/11/6 0006 下午 15:44
 */
@Repository
public interface DeliveryMapper {

    List<String> getCount(PickupQueue pickupQueue);

    List<Delivery> getListByFilter(DeliveryFilter filter);

    List<Delivery> getList(DeliveryFilter filter);

    Integer getListCount(DeliveryFilter filter);

    void updateExpStatus(@Param("idAndStoreIdsList") List<IdAndStoreIds> idAndStoreIdsList);

    void updateExpStatusFromDelivery(@Param("idAndStoreIdsList") List<IdAndStoreIds> idAndStoreIdsList);

    Integer queryIdFromMasterDelivery(Delivery delivery);

    List<Delivery> selectByFilterFromMaster(DeliveryFilter filter);

    Long countByFilterFromMaster(DeliveryFilter filter);

    List<Delivery> slectByMaster(@Param("storeId") Integer storeId, @Param("deliveries") List<Delivery> deliveries);

    Delivery getByMasterId(Integer id);

    Delivery getById(@Param("storeId") Integer storeId, @Param("id") Integer id);

    List<Delivery> getPickupCodeByPhone(DeliveryFilter filter);
}
