package cn.bs.bsmanagebasic.dao.jisu;

import cn.bs.bsmanagebasic.entity.ExpressAccountConsumeRecord;
import cn.bs.bsmanagebasic.entity.dto.ExpressAccountConsumeRecordDto;
import cn.bs.bsmanagebasic.entity.filter.ExpressDeptFilter;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ExpressAccountConsumeRecordMapper {
    int insert(ExpressAccountConsumeRecord record);

    int insertSelective(ExpressAccountConsumeRecord record);

    ExpressAccountConsumeRecord selectByPrimaryKey(Long id);

    Long countByFilter(ExpressDeptFilter filter);

    List<ExpressAccountConsumeRecordDto> selectByFilter(ExpressDeptFilter filter);

    List<ExpressAccountConsumeRecordDto> selectForDeliveryByFilter(ExpressDeptFilter filter);

    Long countForDeliveryByFilter(ExpressDeptFilter filter);

    ExpressAccountConsumeRecord selectLastRecord(@Param("deliveryId") int deliveryId, @Param("expId") int expId);

    Integer insertList(@Param("records") List<ExpressAccountConsumeRecord> records);

    ExpressAccountConsumeRecord selectTime();

    List<ExpressAccountConsumeRecord> selectForStatisticsByFilter(ExpressDeptFilter filter);

    int deleteForLock();

    int insertForUNLock();
}