package cn.bs.bsmanagebasic.dao.jisu;

import cn.bs.bsmanagebasic.entity.dto.RoleListDto;
import cn.bs.bsmanagebasic.entity.dto.RoleMenuBindDto;
import cn.bs.bsmanagebasic.entity.sys.Role;
import cn.bs.bsmanagebasic.entity.sys.RoleMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author LiuJS
 * @Time 2021/4/26 17:47
 * @Desc
 * @Version 1.0
 */
@Mapper
public interface RoleMapper {
    /*List<String> getRole(@Param("userId") String userId);*/

    List<Role> listRole(RoleListDto roleDto);

    /*Role selectById(Long id);*/

    boolean addRole(Role role);

    boolean updateRole(Role role);

    boolean deleteRole(Long id);

    Long[] getRoleMenu(RoleMenu roleMenu);

    int getRoleCount(RoleListDto roleDto);

    Long[] getRoleTemplateMenu(Long roleId);

    void deleteRoleMenu(RoleMenuBindDto roleMenuBindDto);

    void addRoleMenu(RoleMenuBindDto roleMenuBindDto);

    List<Role> getChildRole(Long id);

    /**
     * 获取商店管理员默认角色
     * @param id
     */
    Long getStoreRoleDefault(int id);
}
