package cn.bs.bsmanagebasic.entity;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 短信记录
 * @author kael
 */
@Data
public class SmsRecord{
	private static final long serialVersionUID = -1306143886035406026L;

	private Integer id;

	private Date createTime;

    private Integer storeId;
    
    private Integer deliveryId;

    private Integer expId;

    private String expCode;

    private String bussCode; // 短信业务代码

    private String content;

    private String telphone;

    private String ismgid;

    private Integer status; // 状态 0:已发送, 1:成功, 2:失败

    private Date finishTime;
    
    private String resultInfo;
    
    private BigDecimal smsPrice;

    private Integer smsCount;

    private String wxResultInfo;

    private Integer sendSuccessType; //'1.短信发送渠道 2.微信发送渠道 3.短信,微信都发送渠道'

    private String wxSendContent;//微信公众号推送的消息

    private Long smsSendUsedTime;//短信发送用时(毫秒)

    private Long wxSendUsedTime;//微信发送用时(毫秒)

    private String storeName;

    private String templateTitle;

    private String templateId;

    private String expName;

    public String getStoreCode() {
		return "xm" + String.format("%05d", storeId);
	}
}