package cn.bs.bsmanagebasic.entity.delivery;

import lombok.Builder;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName deliveryRunningWater
 * @Description 订单流水表，用于记录订单流水
 * @Author kael
 * @Date 2019/9/16 0016 下午 17:33
 * @Version 1.0
 **/
@Data
@Builder
public class DeliveryRunningWater {
    private Integer id;
    private Date createTime;
    private String userId;
    private Integer deliveryId;
    private Integer storeId;
    private String appVersion;
    private String apiVersion;
    /**
     * 操作
     */
    private String operating;
    private Integer operatingType;
    private String orderSource;
    private String spare1;
    private String spare2;
    private String spare3;
}
