package cn.bs.bsmanagebasic.entity.filter;

import cn.bs.bsmanagecommon.filter.Filter;
import lombok.Builder;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 短信发送条件 <br>
 *
 * @className: SmsRecordFilter
 * @package: cn.bs.bsmanagebasic.entity.filter
 * @author: kael
 * @date: 2019/10/16 0016 下午 17:46
 */
@Data
public class SmsRecordFilter extends Filter {
    private Integer status;
    private Integer storeId;
    private Integer expId;
    private String expCode;
    private Boolean isCallback;
    private String startTime;
    private String endTime;
    private List<Integer> ids;
    private Integer id;
    private String phone;
    private String platform;
    private List<Integer> deliveryIds;
    private Integer deliveryId;
    private Integer sendSuccessType;
    private Integer noticeType;
    private Integer isSend;
}
