package cn.bs.bsmanagebasic.entity.filter;

import cn.bs.bsmanagecommon.filter.Filter;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * Time: 2021/5/14 13:15
 * Author: zhangHP
 *
 * @description:
 */
@Data
public class StatisticsReportFilter extends Filter {

    private Date startTime;//开始时间
    private Date endTime;//结束时间
    private Long storeId;//门店id
    private String storeName;//门店名称
    private Integer expressId;//快递公司id
    private String expName;//快递公司
    private String userName;//用户姓名
    private Integer status;//状态
    private Integer adminType;//权限等级
    private String deliveryUname;//快递账号
    private String userId;//用户账号
}
