package cn.bs.bsmanagebasic.service;

import cn.bs.bsmanagebasic.common.util.Pager;
import cn.bs.bsmanagebasic.entity.PickupQueue;
import cn.bs.bsmanagebasic.entity.bases.BatchDataMsg;
import cn.bs.bsmanagebasic.entity.delivery.Delivery;
import cn.bs.bsmanagebasic.entity.filter.DeliveryFilter;
import cn.bs.bsmanagecommon.result.ResultBean;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 〈功能概述〉<br>
 *
 * @className: DeliveryService
 * @package: cn.bs.bsmanagebasic.service
 * @author: kael
 * @date: 2019/11/6 0006 下午 15:43
 */
public interface DeliveryService {
    List<String> getCount(PickupQueue pickupQueue);

    List<BatchDataMsg> sign(DeliveryFilter filter);

    void signBack(Integer expId, String expCode, String userPhone, Integer storeId, String status, String shelfId, String shelfCode, String platform);

    Pager<Delivery> list(DeliveryFilter filter, HttpServletRequest request);

    Integer listCount(DeliveryFilter filter);
	
	Pager<Delivery> queryDeliverys(DeliveryFilter deliveryFilter, HttpServletRequest request);

    List<BatchDataMsg> updateExpStatus(DeliveryFilter filter);

    Integer queryIdFromMasterDelivery(Delivery delivery);

    Delivery getByMasterId(Integer id);

    Delivery getById(Integer integer, Integer integer1);

    List<String> getPickupCodeByPhone(String phone);
}
