package cn.bs.bsmanagebasic.service;

import cn.bs.bsmanagebasic.entity.ExExpressType;

import java.util.List;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName ExpressService.java
 * @Description 快递公司相关操作 接口
 * @createTime 2019年07月23日 15:47:00
 */
public interface ExpressService {
    List<ExExpressType> getExpressWithSignBack();

    List<ExExpressType> getAllExpress();

    ExExpressType getExpressById(Long expId);

    /**
     * 从redis中获取快递公司信息。如果获取为null，从数据库中取出相关数据并保存到redis中
     * @param expId 快递公司id
     * @return 快递公司信息
     */
    ExExpressType getExpressFromCacheById(Long expId);
}
