package cn.bs.bsmanagebasic.service;

import cn.bs.bsmanagebasic.entity.Menu;
import cn.bs.bsmanagebasic.entity.MenuRouter;
import cn.bs.bsmanagecommon.result.ResultBean;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author LiuJS
 * @Time 2021/4/26 16:21
 * @Desc
 * @Version 1.0
 */
public interface MenuService {
    List<Menu> list();

    List<MenuRouter> getRoleRouter(HttpServletRequest request);

    List<String> getApiPermission(HttpServletRequest request);

    boolean addMenu(Menu menu);

    boolean updateMenu(Menu menu);

    boolean deleteMenu(Long id);

    List<Menu> listMenuAll(HttpServletRequest request);
}
