package cn.bs.bsmanagebasic.service;

import cn.bs.bsmanagebasic.common.util.Pager;
import cn.bs.bsmanagebasic.entity.ExStore;
import cn.bs.bsmanagebasic.entity.dto.StoreDto;

import javax.servlet.http.HttpServletRequest;
import java.math.BigDecimal;
import java.util.List;

public interface StoreManageService {

    boolean addStore(String storeData);

    Pager<StoreDto> getListByParam(StoreDto dto, HttpServletRequest request);

    /**
     * 通过id查询门店信息
     * @param dto
     * @return
     */
    StoreDto getStoreById(StoreDto dto);

    List<ExStore> getListStore();

    boolean editInfo(StoreDto dto);

    Boolean money(Long id, BigDecimal money);

    Boolean disable(StoreDto dto);

    List<Integer> selectIdByRegionCode(String area);

    ExStore getStoreFromCacheById(Long storeId);
}
