package cn.bs.bsmanagebasic.service;

import cn.bs.bsmanagebasic.entity.StoreDeliveryMsgTemplate;
import cn.bs.bsmanagebasic.entity.StoreTemplate;

import java.util.List;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName StoreTemplateService.java
 * @Description 短信模板处理接口
 * @createTime 2019年07月23日 11:30:00
 */
public interface StoreTemplateService {

    List<StoreDeliveryMsgTemplate> getTemplates();

    int saveStoreTemplate(StoreTemplate storeTemplate);

    boolean updateByStoreId(StoreTemplate storeTemplate);

    void updateTemplateByStoreId(Long storeId, Long templateId);

    /**
     * 配置默认模板信息
     * @param storeTemplate 选中使用的模板
     * @return
     */
    int saveByDefaultTemplate(StoreTemplate storeTemplate);
}
