package cn.bs.bsmanagebasic.service;

import cn.bs.bsmanagebasic.entity.User;
import cn.bs.bsmanagebasic.entity.UserExample;
import cn.bs.bsmanagebasic.entity.filter.UserFilter;
import cn.bs.bsmanagebasic.entity.user.LoginData;

import java.util.List;
import java.util.Map;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName UserService.java
 * @Description TODO
 * @createTime 2019年07月24日 17:29:00
 */
public interface UserService {
    User getByPrimaryKey(String userId);

    List<User> getByStoreId(Long storeId);

    Integer save(User user);
    Integer updateByStoreId(User user);

    LoginData login(UserFilter filter);

    Map getRole();

    Boolean logout();

    Boolean updateUserAvatar(UserFilter filter);

    Boolean updateUserPassword(UserFilter filter);

    List<User> selectByExample(UserExample example);

}
