package cn.bs.bsmanagebasic.service.impl;

import cn.bs.bsmanagebasic.dao.jeesite.TBsCompanyMapper;
import cn.bs.bsmanagebasic.entity.TBsCompany;
import cn.bs.bsmanagebasic.entity.TBsCompanyExample;
import cn.bs.bsmanagebasic.service.CompanyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName TBsCompanyServiceImpl.java
 * @Description 公司信息
 * @createTime 2019年07月22日 18:02:00
 */
@Service
public class CompanyServiceImpl implements CompanyService {

    @Autowired
    private TBsCompanyMapper mapper;

    @Override
    public List<TBsCompany> getAll() {
        TBsCompanyExample example = new TBsCompanyExample();
        example.setOrderByClause("sort");

        TBsCompanyExample.Criteria criteria = example.createCriteria();
        criteria.andIsValidEqualTo(true);

        return mapper.selectByExample(example);
    }
}
