package cn.bs.bsmanagebasic.controller;

import cn.bs.bsmanagebasic.common.util.Pager;
import cn.bs.bsmanagebasic.entity.ApiLoggingEvent;
import cn.bs.bsmanagebasic.entity.filter.ApiLogFilter;
import cn.bs.bsmanagebasic.service.ApiLogService;
import cn.bs.bsmanagecommon.requst.RequestBean;
import cn.bs.bsmanagecommon.result.ResultBean;
import com.alibaba.fastjson.JSON;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 〈功能概述〉<br>
 *
 * @className: ApiLogController
 * @package: cn.bs.bsmanagebasic.controller
 * @author: kael
 * @date: 2019/11/27 0027 下午 15:38
 */
@RestController
@RequestMapping("/apiLog")
@CrossOrigin(allowCredentials ="true")
public class ApiLogController {

    @Autowired
    private ApiLogService apiLogService;

    @PostMapping("/list")
    public ResultBean<Pager<ApiLoggingEvent>> getList(@RequestBody String string) {
        return new ResultBean(apiLogService.getList(JSON.parseObject(JSON.parseObject(string, RequestBean.class).getData(), ApiLogFilter.class)));
    }
}
