package cn.bs.bsmanagebasic.controller;

import cn.bs.bsmanagebasic.entity.ExExpressType;
import cn.bs.bsmanagebasic.entity.PickupQueue;
import cn.bs.bsmanagebasic.entity.filter.SmsRecordFilter;
import cn.bs.bsmanagebasic.service.PickupQueueService;
import cn.bs.bsmanagecommon.requst.RequestBean;
import cn.bs.bsmanagecommon.result.ResultBean;
import com.alibaba.fastjson.JSON;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 〈功能概述〉<br>
 *
 * @className: PickupQueueController
 * @package: cn.bs.bsmanagebasic.controller
 * @author: kael
 * @date: 2019/11/6 0006 下午 14:43
 */
@RestController
@RequestMapping("/pickupQueue")
@CrossOrigin(allowCredentials ="true")
public class PickupQueueController {

    @Autowired
    private PickupQueueService pickupQueueService;

    /**
     * 新增
     * @param data
     * @return
     */
    @RequestMapping(value ="/insert", method = {RequestMethod.POST})
    public ResultBean<String> insert(@RequestBody String data){
        return new ResultBean<String>(pickupQueueService.insert(JSON.parseObject(JSON.parseObject(data, RequestBean.class).getData(), PickupQueue.class)));
    }
}
