package cn.bs.bsmanagebasic.controller;

import cn.bs.bsmanagebasic.entity.StoreDeliveryMsgTemplate;
import cn.bs.bsmanagebasic.service.StoreTemplateService;
import cn.bs.bsmanagecommon.result.ResultBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName StoreTemplateController.java
 * @Description 短信模板处理API
 * @createTime 2019年07月23日 11:27:00
 */
@RestController
@RequestMapping("/storeTemplate")
@CrossOrigin(allowCredentials ="true")
public class StoreTemplateController {

    @Autowired
    private StoreTemplateService storeTemplateService;

    @RequestMapping("/getTemplates")
    public ResultBean<List<StoreDeliveryMsgTemplate>> getTemplates(){
        return new ResultBean<List<StoreDeliveryMsgTemplate>>(storeTemplateService.getTemplates());
    }
}
