package cn.bs.bsmanagebasic.dao.jeesite;

import cn.bs.bsmanagebasic.entity.ExpDataStatistical;
import cn.bs.bsmanagebasic.entity.dto.ExpDataStatisticalDto;
import cn.bs.bsmanagebasic.entity.filter.StatisticsFilter;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ExpDataStatisticalMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ExpDataStatistical record);

    int insertSelective(ExpDataStatistical record);

    ExpDataStatistical selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ExpDataStatistical record);

    int updateByPrimaryKey(ExpDataStatistical record);

    ExpDataStatisticalDto selectSevendayOutbountRate();

    ExpDataStatisticalDto selectOnline();

    ExpDataStatisticalDto sumByFilter(StatisticsFilter filter);

    List<ExpDataStatisticalDto> selectByFilterEachHour(StatisticsFilter filter);

    List<ExpDataStatisticalDto> selectByFilterEachDay(StatisticsFilter filter);
}