package cn.bs.bsmanagebasic.dao.jeesite;

import cn.bs.bsmanagebasic.entity.ExpressDeptAccount;
import cn.bs.bsmanagebasic.entity.filter.ExpressDeptFilter;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ExpressDeptAccountMapper {
    int insert(ExpressDeptAccount record);

    int insertSelective(ExpressDeptAccount record);

    ExpressDeptAccount selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ExpressDeptAccount record);

    int updateByPrimaryKey(ExpressDeptAccount record);

    Long countByFilter(ExpressDeptFilter filter);

    Long countByDeptId(@Param("deptId") Long id);

    List<ExpressDeptAccount> selectByFilter(ExpressDeptFilter filter);

    Integer deleteAccountById(Long id);

    Integer enableAccountById(Long id);

    ExpressDeptAccount selectAccountByStoreIdAndExpId(@Param("storeId") Long storeId, @Param("expId") Long expId);

    List<ExpressDeptAccount> selectByDeptId(Long id);

    int updateBalance(ExpressDeptAccount accountForUpdate);

    ExpressDeptAccount selectAccountById(Long id);
}