package cn.bs.bsmanagebasic.dao.jisu;

import cn.bs.bsmanagebasic.entity.Menu;
import cn.bs.bsmanagebasic.entity.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author LiuJS
 * @Time 2021/4/26 16:24
 * @Desc
 * @Version 1.0
 */
@Mapper
public interface MenuMapper {
    List<Menu> list();

    List<Menu> getRoleRouter(User user);

    List<String> getApiPermission(String roleId);

    void addResource(Menu menu);

    void updateResource(Menu menu);

    void deleteResource(Long id);

    List<Menu> listMenuAll(Long roleId);

    String getRoleIdByUserId(@Param("userId") String userId);
}
