package cn.bs.bsmanagebasic.dao.jisu;

import cn.bs.bsmanagebasic.entity.SmsRecord;
import cn.bs.bsmanagebasic.entity.filter.SmsRecordFilter;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 短信记录 <br>
 *
 * @className: SmsRecordMapper
 * @package: cn.bs.bsmanagebasic.dao.jeesite
 * @author: kael
 * @date: 2019/10/16 0016 下午 17:29
 */
@Repository
public interface SmsRecordMapper {
    /**
     * 查询短信记录
     * @param filter
     * @return
     */
    List<SmsRecord> getSmsRecordList(SmsRecordFilter filter);

    /**
     * 查询总条数
     * @param filter
     * @return
     */
    Integer getSmsRecordCount(SmsRecordFilter filter);
}
