package cn.bs.bsmanagebasic.dao.jisu;

import cn.bs.bsmanagebasic.entity.dto.StatisticsReportDto;
import cn.bs.bsmanagebasic.entity.filter.StatisticsReportFilter;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Time: 2021/5/13 15:02
 * Author: zhangHP
 *
 * @description: 统计
 */

@Mapper
public interface StatisticsReportMapper {

    //根据快递公司进行统计 入库
     List<StatisticsReportDto> countGroupByCompany(StatisticsReportFilter filter) ;

    //根据门店进行统计 入库
    List<StatisticsReportDto> countGroupByStore(StatisticsReportFilter filter);

    //根据外派员进行统计 入库
    List<StatisticsReportDto> countGroupByStoreStaff(StatisticsReportFilter filter);
}
