package cn.bs.bsmanagebasic.entity;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author LiuJS
 * @Time 2021/4/26 16:53
 * @Desc
 * @Version 1.0
 */
@Data
public class MenuRouter {
    private long id;
    private long parentId;
    private String path;
    private String title;
    private String description;
    private String type;
    private String icon;
    private String component;
    private String name;
    private int sort;

    private MenuRouterMeta meta = new MenuRouterMeta();
    private List<MenuRouter> children = new ArrayList<>();

    public boolean isRootNode() {
        return parentId == 0;
    }
}
