package cn.bs.bsmanagebasic.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class UserExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public UserExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andUserIdIsNull() {
            addCriterion("userId is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("userId is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("userId =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("userId <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("userId >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("userId >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("userId <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("userId <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("userId like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("userId not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("userId in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("userId not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("userId between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("userId not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserNameIsNull() {
            addCriterion("userName is null");
            return (Criteria) this;
        }

        public Criteria andUserNameIsNotNull() {
            addCriterion("userName is not null");
            return (Criteria) this;
        }

        public Criteria andUserNameEqualTo(String value) {
            addCriterion("userName =", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameNotEqualTo(String value) {
            addCriterion("userName <>", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameGreaterThan(String value) {
            addCriterion("userName >", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("userName >=", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameLessThan(String value) {
            addCriterion("userName <", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameLessThanOrEqualTo(String value) {
            addCriterion("userName <=", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameLike(String value) {
            addCriterion("userName like", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameNotLike(String value) {
            addCriterion("userName not like", value, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameIn(List<String> values) {
            addCriterion("userName in", values, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameNotIn(List<String> values) {
            addCriterion("userName not in", values, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameBetween(String value1, String value2) {
            addCriterion("userName between", value1, value2, "userName");
            return (Criteria) this;
        }

        public Criteria andUserNameNotBetween(String value1, String value2) {
            addCriterion("userName not between", value1, value2, "userName");
            return (Criteria) this;
        }

        public Criteria andPasswordIsNull() {
            addCriterion("password is null");
            return (Criteria) this;
        }

        public Criteria andPasswordIsNotNull() {
            addCriterion("password is not null");
            return (Criteria) this;
        }

        public Criteria andPasswordEqualTo(String value) {
            addCriterion("password =", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotEqualTo(String value) {
            addCriterion("password <>", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordGreaterThan(String value) {
            addCriterion("password >", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordGreaterThanOrEqualTo(String value) {
            addCriterion("password >=", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLessThan(String value) {
            addCriterion("password <", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLessThanOrEqualTo(String value) {
            addCriterion("password <=", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLike(String value) {
            addCriterion("password like", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotLike(String value) {
            addCriterion("password not like", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordIn(List<String> values) {
            addCriterion("password in", values, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotIn(List<String> values) {
            addCriterion("password not in", values, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordBetween(String value1, String value2) {
            addCriterion("password between", value1, value2, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotBetween(String value1, String value2) {
            addCriterion("password not between", value1, value2, "password");
            return (Criteria) this;
        }

        public Criteria andStoreIdIsNull() {
            addCriterion("storeId is null");
            return (Criteria) this;
        }

        public Criteria andStoreIdIsNotNull() {
            addCriterion("storeId is not null");
            return (Criteria) this;
        }

        public Criteria andStoreIdEqualTo(Long value) {
            addCriterion("storeId =", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotEqualTo(Long value) {
            addCriterion("storeId <>", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdGreaterThan(Long value) {
            addCriterion("storeId >", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdGreaterThanOrEqualTo(Long value) {
            addCriterion("storeId >=", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdLessThan(Long value) {
            addCriterion("storeId <", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdLessThanOrEqualTo(Long value) {
            addCriterion("storeId <=", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdIn(List<Long> values) {
            addCriterion("storeId in", values, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotIn(List<Long> values) {
            addCriterion("storeId not in", values, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdBetween(Long value1, Long value2) {
            addCriterion("storeId between", value1, value2, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotBetween(Long value1, Long value2) {
            addCriterion("storeId not between", value1, value2, "storeId");
            return (Criteria) this;
        }

        public Criteria andShortAddressIsNull() {
            addCriterion("shortAddress is null");
            return (Criteria) this;
        }

        public Criteria andShortAddressIsNotNull() {
            addCriterion("shortAddress is not null");
            return (Criteria) this;
        }

        public Criteria andShortAddressEqualTo(String value) {
            addCriterion("shortAddress =", value, "shortAddress");
            return (Criteria) this;
        }

        public Criteria andShortAddressNotEqualTo(String value) {
            addCriterion("shortAddress <>", value, "shortAddress");
            return (Criteria) this;
        }

        public Criteria andShortAddressGreaterThan(String value) {
            addCriterion("shortAddress >", value, "shortAddress");
            return (Criteria) this;
        }

        public Criteria andShortAddressGreaterThanOrEqualTo(String value) {
            addCriterion("shortAddress >=", value, "shortAddress");
            return (Criteria) this;
        }

        public Criteria andShortAddressLessThan(String value) {
            addCriterion("shortAddress <", value, "shortAddress");
            return (Criteria) this;
        }

        public Criteria andShortAddressLessThanOrEqualTo(String value) {
            addCriterion("shortAddress <=", value, "shortAddress");
            return (Criteria) this;
        }

        public Criteria andShortAddressLike(String value) {
            addCriterion("shortAddress like", value, "shortAddress");
            return (Criteria) this;
        }

        public Criteria andShortAddressNotLike(String value) {
            addCriterion("shortAddress not like", value, "shortAddress");
            return (Criteria) this;
        }

        public Criteria andShortAddressIn(List<String> values) {
            addCriterion("shortAddress in", values, "shortAddress");
            return (Criteria) this;
        }

        public Criteria andShortAddressNotIn(List<String> values) {
            addCriterion("shortAddress not in", values, "shortAddress");
            return (Criteria) this;
        }

        public Criteria andShortAddressBetween(String value1, String value2) {
            addCriterion("shortAddress between", value1, value2, "shortAddress");
            return (Criteria) this;
        }

        public Criteria andShortAddressNotBetween(String value1, String value2) {
            addCriterion("shortAddress not between", value1, value2, "shortAddress");
            return (Criteria) this;
        }

        public Criteria andTelphoneIsNull() {
            addCriterion("telphone is null");
            return (Criteria) this;
        }

        public Criteria andTelphoneIsNotNull() {
            addCriterion("telphone is not null");
            return (Criteria) this;
        }

        public Criteria andTelphoneEqualTo(String value) {
            addCriterion("telphone =", value, "telphone");
            return (Criteria) this;
        }

        public Criteria andTelphoneNotEqualTo(String value) {
            addCriterion("telphone <>", value, "telphone");
            return (Criteria) this;
        }

        public Criteria andTelphoneGreaterThan(String value) {
            addCriterion("telphone >", value, "telphone");
            return (Criteria) this;
        }

        public Criteria andTelphoneGreaterThanOrEqualTo(String value) {
            addCriterion("telphone >=", value, "telphone");
            return (Criteria) this;
        }

        public Criteria andTelphoneLessThan(String value) {
            addCriterion("telphone <", value, "telphone");
            return (Criteria) this;
        }

        public Criteria andTelphoneLessThanOrEqualTo(String value) {
            addCriterion("telphone <=", value, "telphone");
            return (Criteria) this;
        }

        public Criteria andTelphoneLike(String value) {
            addCriterion("telphone like", value, "telphone");
            return (Criteria) this;
        }

        public Criteria andTelphoneNotLike(String value) {
            addCriterion("telphone not like", value, "telphone");
            return (Criteria) this;
        }

        public Criteria andTelphoneIn(List<String> values) {
            addCriterion("telphone in", values, "telphone");
            return (Criteria) this;
        }

        public Criteria andTelphoneNotIn(List<String> values) {
            addCriterion("telphone not in", values, "telphone");
            return (Criteria) this;
        }

        public Criteria andTelphoneBetween(String value1, String value2) {
            addCriterion("telphone between", value1, value2, "telphone");
            return (Criteria) this;
        }

        public Criteria andTelphoneNotBetween(String value1, String value2) {
            addCriterion("telphone not between", value1, value2, "telphone");
            return (Criteria) this;
        }

        public Criteria andPush15IsNull() {
            addCriterion("push15 is null");
            return (Criteria) this;
        }

        public Criteria andPush15IsNotNull() {
            addCriterion("push15 is not null");
            return (Criteria) this;
        }

        public Criteria andPush15EqualTo(Integer value) {
            addCriterion("push15 =", value, "push15");
            return (Criteria) this;
        }

        public Criteria andPush15NotEqualTo(Integer value) {
            addCriterion("push15 <>", value, "push15");
            return (Criteria) this;
        }

        public Criteria andPush15GreaterThan(Integer value) {
            addCriterion("push15 >", value, "push15");
            return (Criteria) this;
        }

        public Criteria andPush15GreaterThanOrEqualTo(Integer value) {
            addCriterion("push15 >=", value, "push15");
            return (Criteria) this;
        }

        public Criteria andPush15LessThan(Integer value) {
            addCriterion("push15 <", value, "push15");
            return (Criteria) this;
        }

        public Criteria andPush15LessThanOrEqualTo(Integer value) {
            addCriterion("push15 <=", value, "push15");
            return (Criteria) this;
        }

        public Criteria andPush15In(List<Integer> values) {
            addCriterion("push15 in", values, "push15");
            return (Criteria) this;
        }

        public Criteria andPush15NotIn(List<Integer> values) {
            addCriterion("push15 not in", values, "push15");
            return (Criteria) this;
        }

        public Criteria andPush15Between(Integer value1, Integer value2) {
            addCriterion("push15 between", value1, value2, "push15");
            return (Criteria) this;
        }

        public Criteria andPush15NotBetween(Integer value1, Integer value2) {
            addCriterion("push15 not between", value1, value2, "push15");
            return (Criteria) this;
        }

        public Criteria andPush10IsNull() {
            addCriterion("push10 is null");
            return (Criteria) this;
        }

        public Criteria andPush10IsNotNull() {
            addCriterion("push10 is not null");
            return (Criteria) this;
        }

        public Criteria andPush10EqualTo(Integer value) {
            addCriterion("push10 =", value, "push10");
            return (Criteria) this;
        }

        public Criteria andPush10NotEqualTo(Integer value) {
            addCriterion("push10 <>", value, "push10");
            return (Criteria) this;
        }

        public Criteria andPush10GreaterThan(Integer value) {
            addCriterion("push10 >", value, "push10");
            return (Criteria) this;
        }

        public Criteria andPush10GreaterThanOrEqualTo(Integer value) {
            addCriterion("push10 >=", value, "push10");
            return (Criteria) this;
        }

        public Criteria andPush10LessThan(Integer value) {
            addCriterion("push10 <", value, "push10");
            return (Criteria) this;
        }

        public Criteria andPush10LessThanOrEqualTo(Integer value) {
            addCriterion("push10 <=", value, "push10");
            return (Criteria) this;
        }

        public Criteria andPush10In(List<Integer> values) {
            addCriterion("push10 in", values, "push10");
            return (Criteria) this;
        }

        public Criteria andPush10NotIn(List<Integer> values) {
            addCriterion("push10 not in", values, "push10");
            return (Criteria) this;
        }

        public Criteria andPush10Between(Integer value1, Integer value2) {
            addCriterion("push10 between", value1, value2, "push10");
            return (Criteria) this;
        }

        public Criteria andPush10NotBetween(Integer value1, Integer value2) {
            addCriterion("push10 not between", value1, value2, "push10");
            return (Criteria) this;
        }

        public Criteria andCodeTypeIsNull() {
            addCriterion("codeType is null");
            return (Criteria) this;
        }

        public Criteria andCodeTypeIsNotNull() {
            addCriterion("codeType is not null");
            return (Criteria) this;
        }

        public Criteria andCodeTypeEqualTo(Integer value) {
            addCriterion("codeType =", value, "codeType");
            return (Criteria) this;
        }

        public Criteria andCodeTypeNotEqualTo(Integer value) {
            addCriterion("codeType <>", value, "codeType");
            return (Criteria) this;
        }

        public Criteria andCodeTypeGreaterThan(Integer value) {
            addCriterion("codeType >", value, "codeType");
            return (Criteria) this;
        }

        public Criteria andCodeTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("codeType >=", value, "codeType");
            return (Criteria) this;
        }

        public Criteria andCodeTypeLessThan(Integer value) {
            addCriterion("codeType <", value, "codeType");
            return (Criteria) this;
        }

        public Criteria andCodeTypeLessThanOrEqualTo(Integer value) {
            addCriterion("codeType <=", value, "codeType");
            return (Criteria) this;
        }

        public Criteria andCodeTypeIn(List<Integer> values) {
            addCriterion("codeType in", values, "codeType");
            return (Criteria) this;
        }

        public Criteria andCodeTypeNotIn(List<Integer> values) {
            addCriterion("codeType not in", values, "codeType");
            return (Criteria) this;
        }

        public Criteria andCodeTypeBetween(Integer value1, Integer value2) {
            addCriterion("codeType between", value1, value2, "codeType");
            return (Criteria) this;
        }

        public Criteria andCodeTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("codeType not between", value1, value2, "codeType");
            return (Criteria) this;
        }

        public Criteria andSmsSendTypeIsNull() {
            addCriterion("smsSendType is null");
            return (Criteria) this;
        }

        public Criteria andSmsSendTypeIsNotNull() {
            addCriterion("smsSendType is not null");
            return (Criteria) this;
        }

        public Criteria andSmsSendTypeEqualTo(Integer value) {
            addCriterion("smsSendType =", value, "smsSendType");
            return (Criteria) this;
        }

        public Criteria andSmsSendTypeNotEqualTo(Integer value) {
            addCriterion("smsSendType <>", value, "smsSendType");
            return (Criteria) this;
        }

        public Criteria andSmsSendTypeGreaterThan(Integer value) {
            addCriterion("smsSendType >", value, "smsSendType");
            return (Criteria) this;
        }

        public Criteria andSmsSendTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("smsSendType >=", value, "smsSendType");
            return (Criteria) this;
        }

        public Criteria andSmsSendTypeLessThan(Integer value) {
            addCriterion("smsSendType <", value, "smsSendType");
            return (Criteria) this;
        }

        public Criteria andSmsSendTypeLessThanOrEqualTo(Integer value) {
            addCriterion("smsSendType <=", value, "smsSendType");
            return (Criteria) this;
        }

        public Criteria andSmsSendTypeIn(List<Integer> values) {
            addCriterion("smsSendType in", values, "smsSendType");
            return (Criteria) this;
        }

        public Criteria andSmsSendTypeNotIn(List<Integer> values) {
            addCriterion("smsSendType not in", values, "smsSendType");
            return (Criteria) this;
        }

        public Criteria andSmsSendTypeBetween(Integer value1, Integer value2) {
            addCriterion("smsSendType between", value1, value2, "smsSendType");
            return (Criteria) this;
        }

        public Criteria andSmsSendTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("smsSendType not between", value1, value2, "smsSendType");
            return (Criteria) this;
        }

        public Criteria andStorepwdIsNull() {
            addCriterion("storepwd is null");
            return (Criteria) this;
        }

        public Criteria andStorepwdIsNotNull() {
            addCriterion("storepwd is not null");
            return (Criteria) this;
        }

        public Criteria andStorepwdEqualTo(String value) {
            addCriterion("storepwd =", value, "storepwd");
            return (Criteria) this;
        }

        public Criteria andStorepwdNotEqualTo(String value) {
            addCriterion("storepwd <>", value, "storepwd");
            return (Criteria) this;
        }

        public Criteria andStorepwdGreaterThan(String value) {
            addCriterion("storepwd >", value, "storepwd");
            return (Criteria) this;
        }

        public Criteria andStorepwdGreaterThanOrEqualTo(String value) {
            addCriterion("storepwd >=", value, "storepwd");
            return (Criteria) this;
        }

        public Criteria andStorepwdLessThan(String value) {
            addCriterion("storepwd <", value, "storepwd");
            return (Criteria) this;
        }

        public Criteria andStorepwdLessThanOrEqualTo(String value) {
            addCriterion("storepwd <=", value, "storepwd");
            return (Criteria) this;
        }

        public Criteria andStorepwdLike(String value) {
            addCriterion("storepwd like", value, "storepwd");
            return (Criteria) this;
        }

        public Criteria andStorepwdNotLike(String value) {
            addCriterion("storepwd not like", value, "storepwd");
            return (Criteria) this;
        }

        public Criteria andStorepwdIn(List<String> values) {
            addCriterion("storepwd in", values, "storepwd");
            return (Criteria) this;
        }

        public Criteria andStorepwdNotIn(List<String> values) {
            addCriterion("storepwd not in", values, "storepwd");
            return (Criteria) this;
        }

        public Criteria andStorepwdBetween(String value1, String value2) {
            addCriterion("storepwd between", value1, value2, "storepwd");
            return (Criteria) this;
        }

        public Criteria andStorepwdNotBetween(String value1, String value2) {
            addCriterion("storepwd not between", value1, value2, "storepwd");
            return (Criteria) this;
        }

        public Criteria andWebVersionIsNull() {
            addCriterion("webVersion is null");
            return (Criteria) this;
        }

        public Criteria andWebVersionIsNotNull() {
            addCriterion("webVersion is not null");
            return (Criteria) this;
        }

        public Criteria andWebVersionEqualTo(String value) {
            addCriterion("webVersion =", value, "webVersion");
            return (Criteria) this;
        }

        public Criteria andWebVersionNotEqualTo(String value) {
            addCriterion("webVersion <>", value, "webVersion");
            return (Criteria) this;
        }

        public Criteria andWebVersionGreaterThan(String value) {
            addCriterion("webVersion >", value, "webVersion");
            return (Criteria) this;
        }

        public Criteria andWebVersionGreaterThanOrEqualTo(String value) {
            addCriterion("webVersion >=", value, "webVersion");
            return (Criteria) this;
        }

        public Criteria andWebVersionLessThan(String value) {
            addCriterion("webVersion <", value, "webVersion");
            return (Criteria) this;
        }

        public Criteria andWebVersionLessThanOrEqualTo(String value) {
            addCriterion("webVersion <=", value, "webVersion");
            return (Criteria) this;
        }

        public Criteria andWebVersionLike(String value) {
            addCriterion("webVersion like", value, "webVersion");
            return (Criteria) this;
        }

        public Criteria andWebVersionNotLike(String value) {
            addCriterion("webVersion not like", value, "webVersion");
            return (Criteria) this;
        }

        public Criteria andWebVersionIn(List<String> values) {
            addCriterion("webVersion in", values, "webVersion");
            return (Criteria) this;
        }

        public Criteria andWebVersionNotIn(List<String> values) {
            addCriterion("webVersion not in", values, "webVersion");
            return (Criteria) this;
        }

        public Criteria andWebVersionBetween(String value1, String value2) {
            addCriterion("webVersion between", value1, value2, "webVersion");
            return (Criteria) this;
        }

        public Criteria andWebVersionNotBetween(String value1, String value2) {
            addCriterion("webVersion not between", value1, value2, "webVersion");
            return (Criteria) this;
        }

        public Criteria andContainsShelfIsNull() {
            addCriterion("containsShelf is null");
            return (Criteria) this;
        }

        public Criteria andContainsShelfIsNotNull() {
            addCriterion("containsShelf is not null");
            return (Criteria) this;
        }

        public Criteria andContainsShelfEqualTo(Integer value) {
            addCriterion("containsShelf =", value, "containsShelf");
            return (Criteria) this;
        }

        public Criteria andContainsShelfNotEqualTo(Integer value) {
            addCriterion("containsShelf <>", value, "containsShelf");
            return (Criteria) this;
        }

        public Criteria andContainsShelfGreaterThan(Integer value) {
            addCriterion("containsShelf >", value, "containsShelf");
            return (Criteria) this;
        }

        public Criteria andContainsShelfGreaterThanOrEqualTo(Integer value) {
            addCriterion("containsShelf >=", value, "containsShelf");
            return (Criteria) this;
        }

        public Criteria andContainsShelfLessThan(Integer value) {
            addCriterion("containsShelf <", value, "containsShelf");
            return (Criteria) this;
        }

        public Criteria andContainsShelfLessThanOrEqualTo(Integer value) {
            addCriterion("containsShelf <=", value, "containsShelf");
            return (Criteria) this;
        }

        public Criteria andContainsShelfIn(List<Integer> values) {
            addCriterion("containsShelf in", values, "containsShelf");
            return (Criteria) this;
        }

        public Criteria andContainsShelfNotIn(List<Integer> values) {
            addCriterion("containsShelf not in", values, "containsShelf");
            return (Criteria) this;
        }

        public Criteria andContainsShelfBetween(Integer value1, Integer value2) {
            addCriterion("containsShelf between", value1, value2, "containsShelf");
            return (Criteria) this;
        }

        public Criteria andContainsShelfNotBetween(Integer value1, Integer value2) {
            addCriterion("containsShelf not between", value1, value2, "containsShelf");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("status is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("status is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("status =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("status <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("status >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("status >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("status <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("status <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("status in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("status not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("status between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("status not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andIsSmsFreeIsNull() {
            addCriterion("isSmsFree is null");
            return (Criteria) this;
        }

        public Criteria andIsSmsFreeIsNotNull() {
            addCriterion("isSmsFree is not null");
            return (Criteria) this;
        }

        public Criteria andIsSmsFreeEqualTo(Integer value) {
            addCriterion("isSmsFree =", value, "isSmsFree");
            return (Criteria) this;
        }

        public Criteria andIsSmsFreeNotEqualTo(Integer value) {
            addCriterion("isSmsFree <>", value, "isSmsFree");
            return (Criteria) this;
        }

        public Criteria andIsSmsFreeGreaterThan(Integer value) {
            addCriterion("isSmsFree >", value, "isSmsFree");
            return (Criteria) this;
        }

        public Criteria andIsSmsFreeGreaterThanOrEqualTo(Integer value) {
            addCriterion("isSmsFree >=", value, "isSmsFree");
            return (Criteria) this;
        }

        public Criteria andIsSmsFreeLessThan(Integer value) {
            addCriterion("isSmsFree <", value, "isSmsFree");
            return (Criteria) this;
        }

        public Criteria andIsSmsFreeLessThanOrEqualTo(Integer value) {
            addCriterion("isSmsFree <=", value, "isSmsFree");
            return (Criteria) this;
        }

        public Criteria andIsSmsFreeIn(List<Integer> values) {
            addCriterion("isSmsFree in", values, "isSmsFree");
            return (Criteria) this;
        }

        public Criteria andIsSmsFreeNotIn(List<Integer> values) {
            addCriterion("isSmsFree not in", values, "isSmsFree");
            return (Criteria) this;
        }

        public Criteria andIsSmsFreeBetween(Integer value1, Integer value2) {
            addCriterion("isSmsFree between", value1, value2, "isSmsFree");
            return (Criteria) this;
        }

        public Criteria andIsSmsFreeNotBetween(Integer value1, Integer value2) {
            addCriterion("isSmsFree not between", value1, value2, "isSmsFree");
            return (Criteria) this;
        }

        public Criteria andSmsPriceIsNull() {
            addCriterion("smsPrice is null");
            return (Criteria) this;
        }

        public Criteria andSmsPriceIsNotNull() {
            addCriterion("smsPrice is not null");
            return (Criteria) this;
        }

        public Criteria andSmsPriceEqualTo(BigDecimal value) {
            addCriterion("smsPrice =", value, "smsPrice");
            return (Criteria) this;
        }

        public Criteria andSmsPriceNotEqualTo(BigDecimal value) {
            addCriterion("smsPrice <>", value, "smsPrice");
            return (Criteria) this;
        }

        public Criteria andSmsPriceGreaterThan(BigDecimal value) {
            addCriterion("smsPrice >", value, "smsPrice");
            return (Criteria) this;
        }

        public Criteria andSmsPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("smsPrice >=", value, "smsPrice");
            return (Criteria) this;
        }

        public Criteria andSmsPriceLessThan(BigDecimal value) {
            addCriterion("smsPrice <", value, "smsPrice");
            return (Criteria) this;
        }

        public Criteria andSmsPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("smsPrice <=", value, "smsPrice");
            return (Criteria) this;
        }

        public Criteria andSmsPriceIn(List<BigDecimal> values) {
            addCriterion("smsPrice in", values, "smsPrice");
            return (Criteria) this;
        }

        public Criteria andSmsPriceNotIn(List<BigDecimal> values) {
            addCriterion("smsPrice not in", values, "smsPrice");
            return (Criteria) this;
        }

        public Criteria andSmsPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("smsPrice between", value1, value2, "smsPrice");
            return (Criteria) this;
        }

        public Criteria andSmsPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("smsPrice not between", value1, value2, "smsPrice");
            return (Criteria) this;
        }

        public Criteria andSmsBalanceIsNull() {
            addCriterion("smsBalance is null");
            return (Criteria) this;
        }

        public Criteria andSmsBalanceIsNotNull() {
            addCriterion("smsBalance is not null");
            return (Criteria) this;
        }

        public Criteria andSmsBalanceEqualTo(BigDecimal value) {
            addCriterion("smsBalance =", value, "smsBalance");
            return (Criteria) this;
        }

        public Criteria andSmsBalanceNotEqualTo(BigDecimal value) {
            addCriterion("smsBalance <>", value, "smsBalance");
            return (Criteria) this;
        }

        public Criteria andSmsBalanceGreaterThan(BigDecimal value) {
            addCriterion("smsBalance >", value, "smsBalance");
            return (Criteria) this;
        }

        public Criteria andSmsBalanceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("smsBalance >=", value, "smsBalance");
            return (Criteria) this;
        }

        public Criteria andSmsBalanceLessThan(BigDecimal value) {
            addCriterion("smsBalance <", value, "smsBalance");
            return (Criteria) this;
        }

        public Criteria andSmsBalanceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("smsBalance <=", value, "smsBalance");
            return (Criteria) this;
        }

        public Criteria andSmsBalanceIn(List<BigDecimal> values) {
            addCriterion("smsBalance in", values, "smsBalance");
            return (Criteria) this;
        }

        public Criteria andSmsBalanceNotIn(List<BigDecimal> values) {
            addCriterion("smsBalance not in", values, "smsBalance");
            return (Criteria) this;
        }

        public Criteria andSmsBalanceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("smsBalance between", value1, value2, "smsBalance");
            return (Criteria) this;
        }

        public Criteria andSmsBalanceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("smsBalance not between", value1, value2, "smsBalance");
            return (Criteria) this;
        }

        public Criteria andSignFlagIsNull() {
            addCriterion("signFlag is null");
            return (Criteria) this;
        }

        public Criteria andSignFlagIsNotNull() {
            addCriterion("signFlag is not null");
            return (Criteria) this;
        }

        public Criteria andSignFlagEqualTo(Integer value) {
            addCriterion("signFlag =", value, "signFlag");
            return (Criteria) this;
        }

        public Criteria andSignFlagNotEqualTo(Integer value) {
            addCriterion("signFlag <>", value, "signFlag");
            return (Criteria) this;
        }

        public Criteria andSignFlagGreaterThan(Integer value) {
            addCriterion("signFlag >", value, "signFlag");
            return (Criteria) this;
        }

        public Criteria andSignFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("signFlag >=", value, "signFlag");
            return (Criteria) this;
        }

        public Criteria andSignFlagLessThan(Integer value) {
            addCriterion("signFlag <", value, "signFlag");
            return (Criteria) this;
        }

        public Criteria andSignFlagLessThanOrEqualTo(Integer value) {
            addCriterion("signFlag <=", value, "signFlag");
            return (Criteria) this;
        }

        public Criteria andSignFlagIn(List<Integer> values) {
            addCriterion("signFlag in", values, "signFlag");
            return (Criteria) this;
        }

        public Criteria andSignFlagNotIn(List<Integer> values) {
            addCriterion("signFlag not in", values, "signFlag");
            return (Criteria) this;
        }

        public Criteria andSignFlagBetween(Integer value1, Integer value2) {
            addCriterion("signFlag between", value1, value2, "signFlag");
            return (Criteria) this;
        }

        public Criteria andSignFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("signFlag not between", value1, value2, "signFlag");
            return (Criteria) this;
        }

        public Criteria andOcrPriceIsNull() {
            addCriterion("ocrPrice is null");
            return (Criteria) this;
        }

        public Criteria andOcrPriceIsNotNull() {
            addCriterion("ocrPrice is not null");
            return (Criteria) this;
        }

        public Criteria andOcrPriceEqualTo(BigDecimal value) {
            addCriterion("ocrPrice =", value, "ocrPrice");
            return (Criteria) this;
        }

        public Criteria andOcrPriceNotEqualTo(BigDecimal value) {
            addCriterion("ocrPrice <>", value, "ocrPrice");
            return (Criteria) this;
        }

        public Criteria andOcrPriceGreaterThan(BigDecimal value) {
            addCriterion("ocrPrice >", value, "ocrPrice");
            return (Criteria) this;
        }

        public Criteria andOcrPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ocrPrice >=", value, "ocrPrice");
            return (Criteria) this;
        }

        public Criteria andOcrPriceLessThan(BigDecimal value) {
            addCriterion("ocrPrice <", value, "ocrPrice");
            return (Criteria) this;
        }

        public Criteria andOcrPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ocrPrice <=", value, "ocrPrice");
            return (Criteria) this;
        }

        public Criteria andOcrPriceIn(List<BigDecimal> values) {
            addCriterion("ocrPrice in", values, "ocrPrice");
            return (Criteria) this;
        }

        public Criteria andOcrPriceNotIn(List<BigDecimal> values) {
            addCriterion("ocrPrice not in", values, "ocrPrice");
            return (Criteria) this;
        }

        public Criteria andOcrPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ocrPrice between", value1, value2, "ocrPrice");
            return (Criteria) this;
        }

        public Criteria andOcrPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ocrPrice not between", value1, value2, "ocrPrice");
            return (Criteria) this;
        }

        public Criteria andIsOcrFreeIsNull() {
            addCriterion("isOcrFree is null");
            return (Criteria) this;
        }

        public Criteria andIsOcrFreeIsNotNull() {
            addCriterion("isOcrFree is not null");
            return (Criteria) this;
        }

        public Criteria andIsOcrFreeEqualTo(Integer value) {
            addCriterion("isOcrFree =", value, "isOcrFree");
            return (Criteria) this;
        }

        public Criteria andIsOcrFreeNotEqualTo(Integer value) {
            addCriterion("isOcrFree <>", value, "isOcrFree");
            return (Criteria) this;
        }

        public Criteria andIsOcrFreeGreaterThan(Integer value) {
            addCriterion("isOcrFree >", value, "isOcrFree");
            return (Criteria) this;
        }

        public Criteria andIsOcrFreeGreaterThanOrEqualTo(Integer value) {
            addCriterion("isOcrFree >=", value, "isOcrFree");
            return (Criteria) this;
        }

        public Criteria andIsOcrFreeLessThan(Integer value) {
            addCriterion("isOcrFree <", value, "isOcrFree");
            return (Criteria) this;
        }

        public Criteria andIsOcrFreeLessThanOrEqualTo(Integer value) {
            addCriterion("isOcrFree <=", value, "isOcrFree");
            return (Criteria) this;
        }

        public Criteria andIsOcrFreeIn(List<Integer> values) {
            addCriterion("isOcrFree in", values, "isOcrFree");
            return (Criteria) this;
        }

        public Criteria andIsOcrFreeNotIn(List<Integer> values) {
            addCriterion("isOcrFree not in", values, "isOcrFree");
            return (Criteria) this;
        }

        public Criteria andIsOcrFreeBetween(Integer value1, Integer value2) {
            addCriterion("isOcrFree between", value1, value2, "isOcrFree");
            return (Criteria) this;
        }

        public Criteria andIsOcrFreeNotBetween(Integer value1, Integer value2) {
            addCriterion("isOcrFree not between", value1, value2, "isOcrFree");
            return (Criteria) this;
        }

        public Criteria andVigilanceIsNull() {
            addCriterion("vigilance is null");
            return (Criteria) this;
        }

        public Criteria andVigilanceIsNotNull() {
            addCriterion("vigilance is not null");
            return (Criteria) this;
        }

        public Criteria andVigilanceEqualTo(Double value) {
            addCriterion("vigilance =", value, "vigilance");
            return (Criteria) this;
        }

        public Criteria andVigilanceNotEqualTo(Double value) {
            addCriterion("vigilance <>", value, "vigilance");
            return (Criteria) this;
        }

        public Criteria andVigilanceGreaterThan(Double value) {
            addCriterion("vigilance >", value, "vigilance");
            return (Criteria) this;
        }

        public Criteria andVigilanceGreaterThanOrEqualTo(Double value) {
            addCriterion("vigilance >=", value, "vigilance");
            return (Criteria) this;
        }

        public Criteria andVigilanceLessThan(Double value) {
            addCriterion("vigilance <", value, "vigilance");
            return (Criteria) this;
        }

        public Criteria andVigilanceLessThanOrEqualTo(Double value) {
            addCriterion("vigilance <=", value, "vigilance");
            return (Criteria) this;
        }

        public Criteria andVigilanceIn(List<Double> values) {
            addCriterion("vigilance in", values, "vigilance");
            return (Criteria) this;
        }

        public Criteria andVigilanceNotIn(List<Double> values) {
            addCriterion("vigilance not in", values, "vigilance");
            return (Criteria) this;
        }

        public Criteria andVigilanceBetween(Double value1, Double value2) {
            addCriterion("vigilance between", value1, value2, "vigilance");
            return (Criteria) this;
        }

        public Criteria andVigilanceNotBetween(Double value1, Double value2) {
            addCriterion("vigilance not between", value1, value2, "vigilance");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoIsNull() {
            addCriterion("phoneLogo is null");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoIsNotNull() {
            addCriterion("phoneLogo is not null");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoEqualTo(String value) {
            addCriterion("phoneLogo =", value, "phoneLogo");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoNotEqualTo(String value) {
            addCriterion("phoneLogo <>", value, "phoneLogo");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoGreaterThan(String value) {
            addCriterion("phoneLogo >", value, "phoneLogo");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoGreaterThanOrEqualTo(String value) {
            addCriterion("phoneLogo >=", value, "phoneLogo");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoLessThan(String value) {
            addCriterion("phoneLogo <", value, "phoneLogo");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoLessThanOrEqualTo(String value) {
            addCriterion("phoneLogo <=", value, "phoneLogo");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoLike(String value) {
            addCriterion("phoneLogo like", value, "phoneLogo");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoNotLike(String value) {
            addCriterion("phoneLogo not like", value, "phoneLogo");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoIn(List<String> values) {
            addCriterion("phoneLogo in", values, "phoneLogo");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoNotIn(List<String> values) {
            addCriterion("phoneLogo not in", values, "phoneLogo");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoBetween(String value1, String value2) {
            addCriterion("phoneLogo between", value1, value2, "phoneLogo");
            return (Criteria) this;
        }

        public Criteria andPhoneLogoNotBetween(String value1, String value2) {
            addCriterion("phoneLogo not between", value1, value2, "phoneLogo");
            return (Criteria) this;
        }

        public Criteria andSystemTypeIsNull() {
            addCriterion("systemType is null");
            return (Criteria) this;
        }

        public Criteria andSystemTypeIsNotNull() {
            addCriterion("systemType is not null");
            return (Criteria) this;
        }

        public Criteria andSystemTypeEqualTo(Integer value) {
            addCriterion("systemType =", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeNotEqualTo(Integer value) {
            addCriterion("systemType <>", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeGreaterThan(Integer value) {
            addCriterion("systemType >", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("systemType >=", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeLessThan(Integer value) {
            addCriterion("systemType <", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeLessThanOrEqualTo(Integer value) {
            addCriterion("systemType <=", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeIn(List<Integer> values) {
            addCriterion("systemType in", values, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeNotIn(List<Integer> values) {
            addCriterion("systemType not in", values, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeBetween(Integer value1, Integer value2) {
            addCriterion("systemType between", value1, value2, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("systemType not between", value1, value2, "systemType");
            return (Criteria) this;
        }

        public Criteria andComSignIsNull() {
            addCriterion("comSign is null");
            return (Criteria) this;
        }

        public Criteria andComSignIsNotNull() {
            addCriterion("comSign is not null");
            return (Criteria) this;
        }

        public Criteria andComSignEqualTo(String value) {
            addCriterion("comSign =", value, "comSign");
            return (Criteria) this;
        }

        public Criteria andComSignNotEqualTo(String value) {
            addCriterion("comSign <>", value, "comSign");
            return (Criteria) this;
        }

        public Criteria andComSignGreaterThan(String value) {
            addCriterion("comSign >", value, "comSign");
            return (Criteria) this;
        }

        public Criteria andComSignGreaterThanOrEqualTo(String value) {
            addCriterion("comSign >=", value, "comSign");
            return (Criteria) this;
        }

        public Criteria andComSignLessThan(String value) {
            addCriterion("comSign <", value, "comSign");
            return (Criteria) this;
        }

        public Criteria andComSignLessThanOrEqualTo(String value) {
            addCriterion("comSign <=", value, "comSign");
            return (Criteria) this;
        }

        public Criteria andComSignLike(String value) {
            addCriterion("comSign like", value, "comSign");
            return (Criteria) this;
        }

        public Criteria andComSignNotLike(String value) {
            addCriterion("comSign not like", value, "comSign");
            return (Criteria) this;
        }

        public Criteria andComSignIn(List<String> values) {
            addCriterion("comSign in", values, "comSign");
            return (Criteria) this;
        }

        public Criteria andComSignNotIn(List<String> values) {
            addCriterion("comSign not in", values, "comSign");
            return (Criteria) this;
        }

        public Criteria andComSignBetween(String value1, String value2) {
            addCriterion("comSign between", value1, value2, "comSign");
            return (Criteria) this;
        }

        public Criteria andComSignNotBetween(String value1, String value2) {
            addCriterion("comSign not between", value1, value2, "comSign");
            return (Criteria) this;
        }

        public Criteria andRightsIsNull() {
            addCriterion("rights is null");
            return (Criteria) this;
        }

        public Criteria andRightsIsNotNull() {
            addCriterion("rights is not null");
            return (Criteria) this;
        }

        public Criteria andRightsEqualTo(String value) {
            addCriterion("rights =", value, "rights");
            return (Criteria) this;
        }

        public Criteria andRightsNotEqualTo(String value) {
            addCriterion("rights <>", value, "rights");
            return (Criteria) this;
        }

        public Criteria andRightsGreaterThan(String value) {
            addCriterion("rights >", value, "rights");
            return (Criteria) this;
        }

        public Criteria andRightsGreaterThanOrEqualTo(String value) {
            addCriterion("rights >=", value, "rights");
            return (Criteria) this;
        }

        public Criteria andRightsLessThan(String value) {
            addCriterion("rights <", value, "rights");
            return (Criteria) this;
        }

        public Criteria andRightsLessThanOrEqualTo(String value) {
            addCriterion("rights <=", value, "rights");
            return (Criteria) this;
        }

        public Criteria andRightsLike(String value) {
            addCriterion("rights like", value, "rights");
            return (Criteria) this;
        }

        public Criteria andRightsNotLike(String value) {
            addCriterion("rights not like", value, "rights");
            return (Criteria) this;
        }

        public Criteria andRightsIn(List<String> values) {
            addCriterion("rights in", values, "rights");
            return (Criteria) this;
        }

        public Criteria andRightsNotIn(List<String> values) {
            addCriterion("rights not in", values, "rights");
            return (Criteria) this;
        }

        public Criteria andRightsBetween(String value1, String value2) {
            addCriterion("rights between", value1, value2, "rights");
            return (Criteria) this;
        }

        public Criteria andRightsNotBetween(String value1, String value2) {
            addCriterion("rights not between", value1, value2, "rights");
            return (Criteria) this;
        }

        public Criteria andRoleIdIsNull() {
            addCriterion("role_id is null");
            return (Criteria) this;
        }

        public Criteria andRoleIdIsNotNull() {
            addCriterion("role_id is not null");
            return (Criteria) this;
        }

        public Criteria andRoleIdEqualTo(String value) {
            addCriterion("role_id =", value, "role_id");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotEqualTo(String value) {
            addCriterion("role_id <>", value, "role_id");
            return (Criteria) this;
        }

        public Criteria andRoleIdGreaterThan(String value) {
            addCriterion("role_id >", value, "role_id");
            return (Criteria) this;
        }

        public Criteria andRoleIdGreaterThanOrEqualTo(String value) {
            addCriterion("role_id >=", value, "role_id");
            return (Criteria) this;
        }

        public Criteria andRoleIdLessThan(String value) {
            addCriterion("role_id <", value, "role_id");
            return (Criteria) this;
        }

        public Criteria andRoleIdLessThanOrEqualTo(String value) {
            addCriterion("role_id <=", value, "role_id");
            return (Criteria) this;
        }

        public Criteria andRoleIdLike(String value) {
            addCriterion("role_id like", value, "role_id");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotLike(String value) {
            addCriterion("role_id not like", value, "role_id");
            return (Criteria) this;
        }

        public Criteria andRoleIdIn(List<String> values) {
            addCriterion("role_id in", values, "role_id");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotIn(List<String> values) {
            addCriterion("role_id not in", values, "role_id");
            return (Criteria) this;
        }

        public Criteria andRoleIdBetween(String value1, String value2) {
            addCriterion("role_id between", value1, value2, "role_id");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotBetween(String value1, String value2) {
            addCriterion("role_id not between", value1, value2, "role_id");
            return (Criteria) this;
        }

        public Criteria andSkinIsNull() {
            addCriterion("skin is null");
            return (Criteria) this;
        }

        public Criteria andSkinIsNotNull() {
            addCriterion("skin is not null");
            return (Criteria) this;
        }

        public Criteria andSkinEqualTo(String value) {
            addCriterion("skin =", value, "skin");
            return (Criteria) this;
        }

        public Criteria andSkinNotEqualTo(String value) {
            addCriterion("skin <>", value, "skin");
            return (Criteria) this;
        }

        public Criteria andSkinGreaterThan(String value) {
            addCriterion("skin >", value, "skin");
            return (Criteria) this;
        }

        public Criteria andSkinGreaterThanOrEqualTo(String value) {
            addCriterion("skin >=", value, "skin");
            return (Criteria) this;
        }

        public Criteria andSkinLessThan(String value) {
            addCriterion("skin <", value, "skin");
            return (Criteria) this;
        }

        public Criteria andSkinLessThanOrEqualTo(String value) {
            addCriterion("skin <=", value, "skin");
            return (Criteria) this;
        }

        public Criteria andSkinLike(String value) {
            addCriterion("skin like", value, "skin");
            return (Criteria) this;
        }

        public Criteria andSkinNotLike(String value) {
            addCriterion("skin not like", value, "skin");
            return (Criteria) this;
        }

        public Criteria andSkinIn(List<String> values) {
            addCriterion("skin in", values, "skin");
            return (Criteria) this;
        }

        public Criteria andSkinNotIn(List<String> values) {
            addCriterion("skin not in", values, "skin");
            return (Criteria) this;
        }

        public Criteria andSkinBetween(String value1, String value2) {
            addCriterion("skin between", value1, value2, "skin");
            return (Criteria) this;
        }

        public Criteria andSkinNotBetween(String value1, String value2) {
            addCriterion("skin not between", value1, value2, "skin");
            return (Criteria) this;
        }

        public Criteria andSiduanmaIsNull() {
            addCriterion("siduanma is null");
            return (Criteria) this;
        }

        public Criteria andSiduanmaIsNotNull() {
            addCriterion("siduanma is not null");
            return (Criteria) this;
        }

        public Criteria andSiduanmaEqualTo(String value) {
            addCriterion("siduanma =", value, "siduanma");
            return (Criteria) this;
        }

        public Criteria andSiduanmaNotEqualTo(String value) {
            addCriterion("siduanma <>", value, "siduanma");
            return (Criteria) this;
        }

        public Criteria andSiduanmaGreaterThan(String value) {
            addCriterion("siduanma >", value, "siduanma");
            return (Criteria) this;
        }

        public Criteria andSiduanmaGreaterThanOrEqualTo(String value) {
            addCriterion("siduanma >=", value, "siduanma");
            return (Criteria) this;
        }

        public Criteria andSiduanmaLessThan(String value) {
            addCriterion("siduanma <", value, "siduanma");
            return (Criteria) this;
        }

        public Criteria andSiduanmaLessThanOrEqualTo(String value) {
            addCriterion("siduanma <=", value, "siduanma");
            return (Criteria) this;
        }

        public Criteria andSiduanmaLike(String value) {
            addCriterion("siduanma like", value, "siduanma");
            return (Criteria) this;
        }

        public Criteria andSiduanmaNotLike(String value) {
            addCriterion("siduanma not like", value, "siduanma");
            return (Criteria) this;
        }

        public Criteria andSiduanmaIn(List<String> values) {
            addCriterion("siduanma in", values, "siduanma");
            return (Criteria) this;
        }

        public Criteria andSiduanmaNotIn(List<String> values) {
            addCriterion("siduanma not in", values, "siduanma");
            return (Criteria) this;
        }

        public Criteria andSiduanmaBetween(String value1, String value2) {
            addCriterion("siduanma between", value1, value2, "siduanma");
            return (Criteria) this;
        }

        public Criteria andSiduanmaNotBetween(String value1, String value2) {
            addCriterion("siduanma not between", value1, value2, "siduanma");
            return (Criteria) this;
        }

        public Criteria andDevicenumIsNull() {
            addCriterion("devicenum is null");
            return (Criteria) this;
        }

        public Criteria andDevicenumIsNotNull() {
            addCriterion("devicenum is not null");
            return (Criteria) this;
        }

        public Criteria andDevicenumEqualTo(String value) {
            addCriterion("devicenum =", value, "devicenum");
            return (Criteria) this;
        }

        public Criteria andDevicenumNotEqualTo(String value) {
            addCriterion("devicenum <>", value, "devicenum");
            return (Criteria) this;
        }

        public Criteria andDevicenumGreaterThan(String value) {
            addCriterion("devicenum >", value, "devicenum");
            return (Criteria) this;
        }

        public Criteria andDevicenumGreaterThanOrEqualTo(String value) {
            addCriterion("devicenum >=", value, "devicenum");
            return (Criteria) this;
        }

        public Criteria andDevicenumLessThan(String value) {
            addCriterion("devicenum <", value, "devicenum");
            return (Criteria) this;
        }

        public Criteria andDevicenumLessThanOrEqualTo(String value) {
            addCriterion("devicenum <=", value, "devicenum");
            return (Criteria) this;
        }

        public Criteria andDevicenumLike(String value) {
            addCriterion("devicenum like", value, "devicenum");
            return (Criteria) this;
        }

        public Criteria andDevicenumNotLike(String value) {
            addCriterion("devicenum not like", value, "devicenum");
            return (Criteria) this;
        }

        public Criteria andDevicenumIn(List<String> values) {
            addCriterion("devicenum in", values, "devicenum");
            return (Criteria) this;
        }

        public Criteria andDevicenumNotIn(List<String> values) {
            addCriterion("devicenum not in", values, "devicenum");
            return (Criteria) this;
        }

        public Criteria andDevicenumBetween(String value1, String value2) {
            addCriterion("devicenum between", value1, value2, "devicenum");
            return (Criteria) this;
        }

        public Criteria andDevicenumNotBetween(String value1, String value2) {
            addCriterion("devicenum not between", value1, value2, "devicenum");
            return (Criteria) this;
        }

        public Criteria andDonateRateIsNull() {
            addCriterion("donateRate is null");
            return (Criteria) this;
        }

        public Criteria andDonateRateIsNotNull() {
            addCriterion("donateRate is not null");
            return (Criteria) this;
        }

        public Criteria andDonateRateEqualTo(Integer value) {
            addCriterion("donateRate =", value, "donateRate");
            return (Criteria) this;
        }

        public Criteria andDonateRateNotEqualTo(Integer value) {
            addCriterion("donateRate <>", value, "donateRate");
            return (Criteria) this;
        }

        public Criteria andDonateRateGreaterThan(Integer value) {
            addCriterion("donateRate >", value, "donateRate");
            return (Criteria) this;
        }

        public Criteria andDonateRateGreaterThanOrEqualTo(Integer value) {
            addCriterion("donateRate >=", value, "donateRate");
            return (Criteria) this;
        }

        public Criteria andDonateRateLessThan(Integer value) {
            addCriterion("donateRate <", value, "donateRate");
            return (Criteria) this;
        }

        public Criteria andDonateRateLessThanOrEqualTo(Integer value) {
            addCriterion("donateRate <=", value, "donateRate");
            return (Criteria) this;
        }

        public Criteria andDonateRateIn(List<Integer> values) {
            addCriterion("donateRate in", values, "donateRate");
            return (Criteria) this;
        }

        public Criteria andDonateRateNotIn(List<Integer> values) {
            addCriterion("donateRate not in", values, "donateRate");
            return (Criteria) this;
        }

        public Criteria andDonateRateBetween(Integer value1, Integer value2) {
            addCriterion("donateRate between", value1, value2, "donateRate");
            return (Criteria) this;
        }

        public Criteria andDonateRateNotBetween(Integer value1, Integer value2) {
            addCriterion("donateRate not between", value1, value2, "donateRate");
            return (Criteria) this;
        }

        public Criteria andCreatetimeIsNull() {
            addCriterion("createtime is null");
            return (Criteria) this;
        }

        public Criteria andCreatetimeIsNotNull() {
            addCriterion("createtime is not null");
            return (Criteria) this;
        }

        public Criteria andCreatetimeEqualTo(Date value) {
            addCriterion("createtime =", value, "createtime");
            return (Criteria) this;
        }

        public Criteria andCreatetimeNotEqualTo(Date value) {
            addCriterion("createtime <>", value, "createtime");
            return (Criteria) this;
        }

        public Criteria andCreatetimeGreaterThan(Date value) {
            addCriterion("createtime >", value, "createtime");
            return (Criteria) this;
        }

        public Criteria andCreatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("createtime >=", value, "createtime");
            return (Criteria) this;
        }

        public Criteria andCreatetimeLessThan(Date value) {
            addCriterion("createtime <", value, "createtime");
            return (Criteria) this;
        }

        public Criteria andCreatetimeLessThanOrEqualTo(Date value) {
            addCriterion("createtime <=", value, "createtime");
            return (Criteria) this;
        }

        public Criteria andCreatetimeIn(List<Date> values) {
            addCriterion("createtime in", values, "createtime");
            return (Criteria) this;
        }

        public Criteria andCreatetimeNotIn(List<Date> values) {
            addCriterion("createtime not in", values, "createtime");
            return (Criteria) this;
        }

        public Criteria andCreatetimeBetween(Date value1, Date value2) {
            addCriterion("createtime between", value1, value2, "createtime");
            return (Criteria) this;
        }

        public Criteria andCreatetimeNotBetween(Date value1, Date value2) {
            addCriterion("createtime not between", value1, value2, "createtime");
            return (Criteria) this;
        }

        public Criteria andUserTypeIsNull() {
            addCriterion("userType is null");
            return (Criteria) this;
        }

        public Criteria andUserTypeIsNotNull() {
            addCriterion("userType is not null");
            return (Criteria) this;
        }

        public Criteria andUserTypeEqualTo(String value) {
            addCriterion("userType =", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeNotEqualTo(String value) {
            addCriterion("userType <>", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeGreaterThan(String value) {
            addCriterion("userType >", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeGreaterThanOrEqualTo(String value) {
            addCriterion("userType >=", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeLessThan(String value) {
            addCriterion("userType <", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeLessThanOrEqualTo(String value) {
            addCriterion("userType <=", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeLike(String value) {
            addCriterion("userType like", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeNotLike(String value) {
            addCriterion("userType not like", value, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeIn(List<String> values) {
            addCriterion("userType in", values, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeNotIn(List<String> values) {
            addCriterion("userType not in", values, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeBetween(String value1, String value2) {
            addCriterion("userType between", value1, value2, "userType");
            return (Criteria) this;
        }

        public Criteria andUserTypeNotBetween(String value1, String value2) {
            addCriterion("userType not between", value1, value2, "userType");
            return (Criteria) this;
        }

        public Criteria andUsermailIsNull() {
            addCriterion("usermail is null");
            return (Criteria) this;
        }

        public Criteria andUsermailIsNotNull() {
            addCriterion("usermail is not null");
            return (Criteria) this;
        }

        public Criteria andUsermailEqualTo(String value) {
            addCriterion("usermail =", value, "usermail");
            return (Criteria) this;
        }

        public Criteria andUsermailNotEqualTo(String value) {
            addCriterion("usermail <>", value, "usermail");
            return (Criteria) this;
        }

        public Criteria andUsermailGreaterThan(String value) {
            addCriterion("usermail >", value, "usermail");
            return (Criteria) this;
        }

        public Criteria andUsermailGreaterThanOrEqualTo(String value) {
            addCriterion("usermail >=", value, "usermail");
            return (Criteria) this;
        }

        public Criteria andUsermailLessThan(String value) {
            addCriterion("usermail <", value, "usermail");
            return (Criteria) this;
        }

        public Criteria andUsermailLessThanOrEqualTo(String value) {
            addCriterion("usermail <=", value, "usermail");
            return (Criteria) this;
        }

        public Criteria andUsermailLike(String value) {
            addCriterion("usermail like", value, "usermail");
            return (Criteria) this;
        }

        public Criteria andUsermailNotLike(String value) {
            addCriterion("usermail not like", value, "usermail");
            return (Criteria) this;
        }

        public Criteria andUsermailIn(List<String> values) {
            addCriterion("usermail in", values, "usermail");
            return (Criteria) this;
        }

        public Criteria andUsermailNotIn(List<String> values) {
            addCriterion("usermail not in", values, "usermail");
            return (Criteria) this;
        }

        public Criteria andUsermailBetween(String value1, String value2) {
            addCriterion("usermail between", value1, value2, "usermail");
            return (Criteria) this;
        }

        public Criteria andUsermailNotBetween(String value1, String value2) {
            addCriterion("usermail not between", value1, value2, "usermail");
            return (Criteria) this;
        }

        public Criteria andReminderIsNull() {
            addCriterion("reminder is null");
            return (Criteria) this;
        }

        public Criteria andReminderIsNotNull() {
            addCriterion("reminder is not null");
            return (Criteria) this;
        }

        public Criteria andReminderEqualTo(Integer value) {
            addCriterion("reminder =", value, "reminder");
            return (Criteria) this;
        }

        public Criteria andReminderNotEqualTo(Integer value) {
            addCriterion("reminder <>", value, "reminder");
            return (Criteria) this;
        }

        public Criteria andReminderGreaterThan(Integer value) {
            addCriterion("reminder >", value, "reminder");
            return (Criteria) this;
        }

        public Criteria andReminderGreaterThanOrEqualTo(Integer value) {
            addCriterion("reminder >=", value, "reminder");
            return (Criteria) this;
        }

        public Criteria andReminderLessThan(Integer value) {
            addCriterion("reminder <", value, "reminder");
            return (Criteria) this;
        }

        public Criteria andReminderLessThanOrEqualTo(Integer value) {
            addCriterion("reminder <=", value, "reminder");
            return (Criteria) this;
        }

        public Criteria andReminderIn(List<Integer> values) {
            addCriterion("reminder in", values, "reminder");
            return (Criteria) this;
        }

        public Criteria andReminderNotIn(List<Integer> values) {
            addCriterion("reminder not in", values, "reminder");
            return (Criteria) this;
        }

        public Criteria andReminderBetween(Integer value1, Integer value2) {
            addCriterion("reminder between", value1, value2, "reminder");
            return (Criteria) this;
        }

        public Criteria andReminderNotBetween(Integer value1, Integer value2) {
            addCriterion("reminder not between", value1, value2, "reminder");
            return (Criteria) this;
        }
        public Criteria andAdminTypeEqualTo(String value) {
            addCriterion("adminType =", value, "adminType");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
