package cn.bs.bsmanagebasic.entity.delivery;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @ClassName delivery
 * @Description TODO
 * @Author kael
 * @Date 2019/9/6 0006 下午 14:54
 * @Version 1.0
 **/
@Data
public class Delivery {

    private Integer id;

    private Integer storeId;

    private String expcode;

    private Integer expId;

    private String shelfCode;

    private Integer shelfId;

    private String userName;

    private String userPhone;

    private String userpcas;

    private String userAddress;

    private Integer ischarge;

    private Integer chargeMoney;

    private Integer money;

    private Integer weight;

    private Integer payType;

    private String deliveryUid;

    private String deliveryUname;

    private String remark;

    private String oldOrderCode;

    private String odeliveryType;

    private Integer isdel;

    private Integer status;

    private LocalDateTime statusTime;

    private Integer problemType;

    private String problemCode;

    private Integer iswhite;

    private String revuserPhone;

    private String revexpCode;

    private String revshelfCode;

    private Integer fillType;

    private Integer signStatus;

    private LocalDateTime signDtm;


    private Integer uploadStatus;

    private LocalDateTime uploadDtm;

    private Integer returnSignStatus;

    private String returnSignStatusName;

    private String signPhoneNumber;

    private String sendBackReason;

    /**
     * 短信发送状态；// 状态 0:已发送, 1:成功, 2:失败
     */
    private Integer smsStatus;
    /**
     * 1.短信发送通道 2.微信发送通道 3.短信,微信都发送通道
     */
    private Integer sendSuccessType;
    /**
     * 短信发送失败原因
     */
    private String resultInfo;

    /**
     * 截取用户电话号码后4位
     */
    private String vagueUserPhone;
    /**
     * 面单号后4位
     */
    private String vagueExpCode;

    private Boolean whiteUser;
    /**
     * 平台
     */
    private String platform;
    /*****************************************非数据库字段**********************************************/
    /**
     * 快递公司名称
     */
    private String expName;

    /**
     * 货架名称
     */
    private String shelfName;

    private Integer isSendSMS;

    public String picurl;

    private Date createTime;
    private LocalDateTime updateTime;

    private String statusName;

    private String sendSuccessTypeName;

    private String smsStatusName;

    private String storeName;

    private String storeAddress;
    /**
     * 后台管理系统修改快递信息的原因
     */
    private String reason;
}
