package cn.bs.bsmanagebasic.entity.delivery;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName EsDeliveryQueryCondition.java
 * @Description TODO
 * @createTime 2019年10月22日 11:21:00
 */
@Data
public class EsDeliveryQueryCondition {
    /**
     * 必传，必须匹配
     */
    private Integer storeId;

    private List<Integer> storeIds;

    /**
     * 不匹配的数据ID
     */
    private int[] notIds;

    private String userPhone;

    private String expcode;

    private String shelfCode;

    private Integer timeType;

    private Date beginTime;

    private Date endTime;

    private int[] status;

    private Integer returnSignStatus;

    /**
     * 不匹配的状态
     */
    private int[] notStatus;

    private Integer expId;

    private Integer shelfId;

    private int[] smsStatus;
    private Integer smsType;

    private Boolean whiteUser;

    private Integer signStatus;
    private int[] sendSuccessType;

    private String orderField;
    private String order;

    private Integer pageSize;
    private Integer p;
    private Integer begin;
}
