package cn.bs.bsmanagebasic.entity.filter;

import cn.bs.bsmanagebasic.entity.delivery.IdAndStoreIds;
import cn.bs.bsmanagecommon.filter.Filter;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 〈功能概述〉<br>
 *
 * @className: DeliveryFilter
 * @package: cn.bs.bsmanagebasic.entity.filter
 * @author: kael
 * @date: 2019/11/11 0011 下午 13:57
 */
@Data
public class DeliveryFilter extends Filter {
    private LocalDateTime startTime;
    private LocalDateTime endTime;
    private Integer storeId;
    private List<Integer> storeIds;
    private Integer returnSignStatus;
    private List<Integer> statusList;
    private Integer expId;
    private String expCode;
    private List<Integer> ids;
    private String userPhone;
    private String shelfCode;
    private Integer status;
    private String province;
    private String city;
    private String area;
    /**
     * 修改快递状态需要的参数
     */
    private List<IdAndStoreIds> idAndStoreIds;
    private Integer updateStatus;
    private String reason;

    /**
     * 查询时间类型 - 1：创建时间，2：statusTime
     */
    private Integer timeType;

}
