package cn.bs.bsmanagebasic.entity.sys;

import lombok.Data;

import java.util.Date;

/**
 * @description:
 * @author: chenxuebing
 * @create: 2021-04-28 11:09
 **/
@Data
public class Role {


    /**
     * 主键
     */
    private Long id;
    /**
     * 父主键
     */
    private Long parentId;
    /**
     * 角色名
     */
    private String roleName;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 角色别名
     */
    private String roleAlias;
    /**
     * 是否已删除
     */
    private Integer isDeleted;

    private String description;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 角色类型
     */
    private Integer roleType;

    private Integer adminType;

    private Long storeId;
    /**
     * 门店管理员默认角色
     */
    private Integer roleStoreDefault;

}

