package cn.bs.bsmanagebasic.service;

import cn.bs.bsmanagebasic.common.util.Pager;
import cn.bs.bsmanagebasic.entity.dto.AdminUserEditDto;
import cn.bs.bsmanagebasic.entity.dto.AdminUserListDto;
import cn.bs.bsmanagebasic.entity.user.AdminUser;

import javax.servlet.http.HttpServletRequest;

/**
 * @description:
 * @author: chenxuebing
 * @create: 2021-05-07 14:58
 **/
public interface AdminUserService {


    Pager<AdminUser> listAdminUser(HttpServletRequest request, AdminUserListDto adminUserListDto);

    boolean addAdminUser(HttpServletRequest request, AdminUserEditDto adminUserEditDto);

    boolean updateAdminUser(HttpServletRequest request, AdminUserEditDto adminUserEditDto);

    AdminUser getAdminUser(HttpServletRequest request,String userId);

    int deleteAdminUser(HttpServletRequest request, String userId);
}
