package cn.bs.bsmanagebasic.service;

import cn.bs.bsmanagebasic.entity.oss.BucketFilter;
import cn.bs.bsmanagebasic.entity.oss.OssFileInfoDto;
import com.aliyun.oss.model.BucketInfo;

import java.util.List;

/**
 * @packageName: cn.bs.bsmanagebasic.service
 * @className: bs-manage
 * @description: TODO
 * @author: liujs
 * @date: 2019/12/16 0016 下午 14:40
 * @version: 1.0
 */
public interface FileManagementService {
    String addBucket(BucketFilter bucketFilter);

    Boolean deleteBucket(BucketFilter bucketFilter);

    List<String> bucketList(BucketFilter bucketFilter);

    BucketInfo bucketInfo(BucketFilter bucketFilter);

    Boolean isExistBucket(BucketFilter bucketFilter);

    Boolean updateBucket(BucketFilter bucketFilter);

    Boolean uploadFile(BucketFilter bucketFilter);

    Boolean downloadFile(BucketFilter bucketFilter);

    List<String> deleteFile(BucketFilter bucketFilter);

    OssFileInfoDto fileInfo(BucketFilter bucketFilter);

    Boolean updateFile(BucketFilter bucketFilter);

    List<OssFileInfoDto> fileList(BucketFilter bucketFilter);
}
