package cn.bs.bsmanagebasic.service;

import cn.bs.bsmanagebasic.entity.TempNotice;
import cn.bs.bsmanagebasic.entity.filter.NoticeFilter;

import java.util.List;

/**
 * 〈功能概述〉<br>
 *
 * @className: NoticeService
 * @package: cn.bs.bsmanagebasic.service
 * @author: liujs
 * @date: 2019/11/27 0006 下午 15:43
 */
public interface NoticeService {
    /**
     * 后台管理发送信息
     * @param noticeFilter
     * @return
     */
    Boolean sendNotice(NoticeFilter noticeFilter);

    /**
     * 后台管理添加消息
     * @param tempNotice
     * @return
     */
    Boolean addNotice(TempNotice tempNotice);

    List<TempNotice> getList(NoticeFilter filter);

    Integer getListCount(NoticeFilter filter);

    boolean updateNotice(TempNotice notice);

    boolean deleteNotice(List<Integer> ids);
}
