package cn.bs.bsmanagebasic.service;

import cn.bs.bsmanagebasic.entity.dto.StatisticsReportDto;
import cn.bs.bsmanagebasic.entity.filter.StatisticsReportFilter;

import java.util.List;

/**
 *Time: 2021/5/13                                           
 * Author: zhangHP 
 * @description:统计
 */
public interface StatisticsReportService {

    //根据快递公司进行统计 入库
    List<StatisticsReportDto> countGroupByCompany(StatisticsReportFilter filter);

    //根据门店进行统计 入库
    List<StatisticsReportDto> countGroupByStore(StatisticsReportFilter filter);

    //根据外派员统计 入库
    List<StatisticsReportDto> countGroupByStoreStaff(StatisticsReportFilter filter);
}
