package cn.bs.bsmanagebasic.service;

import cn.bs.bsmanagebasic.entity.filter.SystemFilter;
import cn.bs.bsmanagebasic.entity.sys.SysParam;
import cn.bs.bsmanagebasic.entity.sys.SysType;

import java.util.List;

/**
 * 〈功能概述〉<br>
 *
 * @className: SystemService
 * @package: cn.bs.bsmanagebasic.service
 * @author: kael
 * @date: 2019/12/2 0002 上午 10:55
 */
public interface SystemService {
    List<SysParam> getDataByType(Integer type);

    List<SysParam> getExpressAndPlatform();

    List<SysType> getAllListType();

    boolean typeEnable(Integer id);

    boolean saveType(SysType sysType);

    boolean deleteType(Integer id);

    boolean saveParam(SysParam sysParam);

    boolean deleteParam(Integer id);

    boolean enableParam(Integer id,Integer typeId);
}
