package cn.bs.bsmanagebasic.service.impl;

import cn.bs.bsmanagebasic.dao.jeesite.AddressTownMapper;
import cn.bs.bsmanagebasic.entity.AddressTown;
import cn.bs.bsmanagebasic.service.AddressTownService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author LiuJS
 * @Time 2021/5/8 20:26
 * @Desc
 * @Version 1.0
 */
@Service
public class AddressTownServiceImpl implements AddressTownService {

    @Autowired
    private AddressTownMapper addressTownMapper;

    @Override
    public List<AddressTown> getTownships(Long areaName) {
        if (areaName != null){
            return addressTownMapper.getTownships(areaName);
        }
        return null;
    }

    @Override
    public List<AddressTown> getByTownshipsId(Long areaName) {
        return null;
    }
}
