package cn.bs.bsmanagebasic.service.impl;

import cn.bs.bsmanagebasic.dao.jeesite.TBsChooseoptionMapper;
import cn.bs.bsmanagebasic.entity.TBsChooseoption;
import cn.bs.bsmanagebasic.entity.TBsChooseoptionExample;
import cn.bs.bsmanagebasic.service.ChooseoptionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName TBsChooseoptionServiceImpl.java
 * @Description 画面选项信息
 * @createTime 2019年07月22日 18:12:00
 */
@Service
public class ChooseoptionServiceImpl implements ChooseoptionService {

    @Autowired
    private TBsChooseoptionMapper mapper;


    @Override
    public List<TBsChooseoption> getOptionsByCode(String code) {
        TBsChooseoptionExample example = new TBsChooseoptionExample();
        TBsChooseoptionExample.Criteria criteria = example.createCriteria();
        criteria.andCodeEqualTo(code);
        criteria.andIsValidEqualTo(true);
        example.setOrderByClause("sort");
        return mapper.selectByExample(example);
    }
}
