package cn.bs.bsmanagebasic.service.impl;

import cn.bs.bsmanagebasic.dao.jisu.ConsumeRecordMapper;
import cn.bs.bsmanagebasic.entity.ConsumeRecord;
import cn.bs.bsmanagebasic.service.ConsumeRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName ConsumeRecordServiceImpl.java
 * @Description TODO
 * @createTime 2019年09月03日 15:14:00
 */
@Service
public class ConsumeRecordServiceImpl implements ConsumeRecordService {
    @Autowired
    private ConsumeRecordMapper mapper;

    @Override
    public void save(ConsumeRecord record) {
        // 设置默认值
        if (null == record.getSmsId()) {
            record.setSmsId("");
        }
        if (null == record.getOcrId()) {
            record.setOcrId("");
        }
        if (null == record.getExpCode()) {
            record.setExpCode("");
        }
        if (null == record.getCreateTime()) {
            record.setCreateTime(new Date());
        }
        if (null == record.getExpId()) {
            record.setExpId(0);
        }
        mapper.insertSelective(record);
    }

}
