package cn.bs.bsmanagebasic.service.impl;

import cn.bs.bsmanagebasic.common.enums.ClassNameEnum;
import cn.bs.bsmanagebasic.common.enums.EnumsData;
import cn.bs.bsmanagebasic.service.EnumsStatusService;
import org.springframework.stereotype.Service;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.List;

/**
 * @ClassName EnumsStatusServiceImpl
 * @Description 获取枚举类型
 * @Author kael
 * @Date 2019/9/11 0011 上午 9:46
 * @Version 1.0
 **/
@Service
public class EnumsStatusServiceImpl implements EnumsStatusService {

    @Override
    public List<EnumsData> getType(String typeId) throws ClassNotFoundException, NoSuchMethodException, InvocationTargetException, IllegalAccessException {
        Class<?> class1 = Class.forName("cn.bs.bsmanagebasic.common.enums."+ ClassNameEnum.getEnum(typeId).getValue());
        Method getMeaning = class1.getDeclaredMethod("getType");
        Object[] oo = class1.getEnumConstants();
        return (List<EnumsData>) getMeaning.invoke(oo[0]);
    }

}
