package cn.bs.bsmanagebasic.service.impl;

import cn.bs.bsmanagebasic.dao.jisu.SmspurchaserecordMapper;
import cn.bs.bsmanagebasic.entity.Smspurchaserecord;
import cn.bs.bsmanagebasic.service.SmspurchaserecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.UUID;

/**
 * @author sunjj
 * @version 1.0.0
 * @ClassName SmspurchaserecordServiceImpl.java
 * @Description TODO
 * @createTime 2019年09月03日 15:21:00
 */
@Service
public class SmspurchaserecordServiceImpl implements SmspurchaserecordService {

    @Autowired
    private SmspurchaserecordMapper mapper;

    @Override
    public void save(Smspurchaserecord record) {
        if (null == record.getRecordId()) {
            String uuid = UUID.randomUUID().toString().trim().replaceAll("-", "");
            record.setRecordId(uuid);
        }
        if (null == record.getOptTime()) {
            record.setOptTime(new Date());
        }
        if (null == record.getOutTradeNo()) {
            record.setOutTradeNo("");
        }
        if (null == record.getTradeNo()) {
            record.setTradeNo("");
        }
        mapper.insertSelective(record);
    }
}
