package cn.bs.bsmanagebasic.service.impl;

import cn.bs.bsmanagebasic.common.util.CacheTool;
import cn.bs.bsmanagebasic.dao.jisu.StoreShelfMapper;
import cn.bs.bsmanagebasic.entity.StoreShelf;
import cn.bs.bsmanagebasic.service.StoreShelfService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName StoreShelfServiceImpl
 * @Description 货架
 * @Author kael
 * @Date 2019/9/16 0016 上午 10:43
 * @Version 1.0
 **/
@Service
public class StoreShelfServiceImpl implements StoreShelfService {

    @Autowired
    private StoreShelfMapper storeShelfMapper;

    @Override
    public StoreShelf getById(Integer shelfId){
        CacheTool cacheTool = CacheTool.initShelf();
        StoreShelf shelf = (StoreShelf)cacheTool.getBean(shelfId + "");
        if(shelf != null){
            return shelf;
        }else{
            shelf = storeShelfMapper.getById(shelfId);

            if(shelf != null){
                cacheTool.saveBean(shelfId + "", shelf);
                return shelf;
            }
            return null;
        }
    }
}
