package cn.bs.bsmanagebasic;

import cn.bs.bsmanagebasic.common.util.CacheTool;
import cn.bs.bsmanagebasic.entity.StoreTemplate;
import cn.bs.bsmanagebasic.service.StoreTemplateService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.ApplicationContext;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.test.context.web.WebAppConfiguration;

import java.util.Arrays;

@RunWith(SpringRunner.class)
@SpringBootTest
@WebAppConfiguration
public class BsmanageBasicApplicationTests {

    @Autowired
    private StoreTemplateService storeTemplateService;

    @Test
    public void contextLoads() {
    }

    /*@Test*/
    public void testRedis() {
        CacheTool cacheTool = CacheTool.initStoreShelf();
        System.out.println(cacheTool.getString("1075"));
        CacheTool cacheTool1 = new CacheTool("xxx");
        cacheTool1.setStringKey("key1", "value1");
    }

    /*@Test*/
    public void saveByDefaultTemplate() {
        // 短信模板配置
        StoreTemplate storeTemplate1 = new StoreTemplate();
        storeTemplate1.setStoreId(88888L);
        storeTemplate1.setTemplateId(10L);
        storeTemplateService.saveByDefaultTemplate(storeTemplate1);

        // 短信模板配置
        StoreTemplate storeTemplate2 = new StoreTemplate();
        storeTemplate2.setStoreId(99999L);
        storeTemplate2.setTemplateId(2L);
        storeTemplateService.saveByDefaultTemplate(storeTemplate2);
    }

}
